<?php
/*
Widget Name: UU Accordion Widget
Description: Custom Accordion Templates for The University of Utah
Author: James Tombs
Author URI: digital.utah.edu
Widget URI: digital.utah.edu
*/

class UU_Accordion_Widget extends SiteOrigin_Widget {

  // CONSTRUCT FIELDS
  function __construct() {

    // CALL PARENT WITH ARGS
		parent::__construct(

      // WIDGET ID, NAME, OPTIONS, AND FIELDS
      // ID
      'uu-accordion-widget',
      // NAME
			__('University of Utah Accordion Widget', 'uu-accordion-widget-text-domain'),
      // WIDGET OPTIONS
			array(
				'description' => __('Accordions with different layouts.', 'uu-accordion-widget-text-domain'),
			),
      // CONTROL OPTIONS
			array(

			),
			//FIELDS (FORM OPTIONS)
			array(
        // LAYOUT
        'uu_accordion_layout' => array(
          'type' => 'select',
          'label' => __( 'Choose a Layout', 'uu-accordion-widget-text-domain' ),
          'default' => 'uu-horz-accordion-container',
          'options' => array(
            'uu-horz-accordion-container' => __( 'Horizontal - Tabs inline ', 'uu-accordion-widget-text-domain' ),
            'uu-vert-accordion-container' => __( 'Vertical - Tabs Inline', 'uu-accordion-widget-text-domain' ),
            'uu-tabs-accordion-container' => __( 'Tabs on Top', 'uu-accordion-widget-text-domain' ),
            'uu-side-tabs-accordion-container' => __( 'Tabs on Left', 'uu-accordion-widget-text-domain' ),
          )
        ),
        // Tabs
        'uu_accordion_tabs' => array(
	        'type' => 'repeater',
	        'label' => __( 'Tabs' , 'uu-accordion-widget-text-domain' ),
          'item_name'  => __( 'Tab', 'siteorigin-widgets' ),
          'item_label' => array(
              'selector'     => "[id*='uu_accordion_tab_title']",
              'update_event' => 'change',
              'value_method' => 'val'
          ),
	        'fields' => array(
            'uu_accordion_tab_title' => array(
              'type' => 'text',
              'label' => __('Tab Title', 'uu-accordion-widget-text-domain'),
            ),
            'uu_accordion_tab_content' => array(
              'type' => 'tinymce',
              'label' => __( 'Tab Content', 'uu-accordion-widget-text-domain' ),
              'rows' => 10,
              'default_editor' => 'tinymce',
              'button_filters' => array(
                'mce_buttons' => array( $this, 'filter_mce_buttons' ),
                'mce_buttons_2' => array( $this, 'filter_mce_buttons_2' ),
                'mce_buttons_3' => array( $this, 'filter_mce_buttons_3' ),
                'mce_buttons_4' => array( $this, 'filter_mce_buttons_5' ),
                'quicktags_settings' => array( $this, 'filter_quicktags_settings' ),
              ),
            ),
	        )
		    )

			),
      // BASE FOLDER PATH
			plugin_dir_path(__FILE__)
		);

	}

  // GET TEMPLATE NAME
  function get_template_name($instance) {
      return 'uu-accordion-widget';
  }



  // INIT SCRIPTS & STYLES
  function initialize() {
    $this->register_frontend_scripts(
      array(
        array(
          'uu-accordion-widget-scripts',
        	plugin_dir_url(__FILE__) . '/js/uu-accordion-widget.js',
        	array( 'jquery' ),
        	 time(),
        	 true
        )
      )
    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-accordion-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-accordion-widget.css',
					array(),
					time()
				),
			)
		);
	}
}

siteorigin_widget_register('uu-accordion-widget', __FILE__, 'UU_Accordion_Widget');
