jQuery(document).ready($ => {
    if(!uuBarChartJs) {
        return;
    }
    for(let i = 0; i < uuBarChartJs.length; i++) {
        let uuBarChartVars = uuBarChartJs[i];
        let labels = [];
        let dataSets = [];
        let theme = {}
        let monochromeColor = uuBarChartVars.barChartMonochrome;
        let darkOrLight = uuBarChartVars.barChartDarkLight;
        let displayToolbar = (uuBarChartVars.barChartDisplayToolbar == 'true');
        let displayTooltip = (uuBarChartVars.barChartDisplayTooltip == 'true');
        let barChartHeight = uuBarChartVars.barChartHeight;
        let widgetId = uuBarChartVars.widgetId;

        if (uuBarChartVars.barChartColorOptions && uuBarChartVars.barChartColorOptions == 'color_theme') {
            theme = {
                palette: uuBarChartVars.barChartColorTheme
            }
        } else {
            theme = {
                monochrome: {
                    enabled: true,
                    color: monochromeColor,
                    shadeTo: darkOrLight,
                    shadeIntensity: 0.85
                }
            }
        }


        labels = uuBarChartVars.barChartLabels.map((item) => {
            return item.uuBarChartLabel
        })

        dataSets = uuBarChartVars.barChartDataset.map(element => { //this should be an array of datasets
            return {
                name: element.uuBarChartDatasetLabel,
                data: element.uuBarChartDatasetData.split(',').map(x => +x), //turn a comma separtated string into an array of strings, then turn array of strings into array of integers
            }
        });

        var options = {
            chart: {
                height: barChartHeight,
                width: "100%",
                type: "bar",
                toolbar: {
                    show: displayToolbar,
                }
            },
            series: dataSets,
            xaxis: {
                categories: labels
            },
            theme: theme,
            tooltip: {
                enabled: displayTooltip,
            },
            plotOptions: {
                bar: {
                    horizontal: false,
                    startingShape: 'flat',
                    endingShape: 'flat',
                    columnWidth: '70%',
                    barHeight: '70%',
                    distributed: false,
                    rangeBarOverlap: true,
                }
            }
        };

        var chart = new ApexCharts(document.querySelector('#' + widgetId), options);
        chart.render();
    }

});


