<?php

/*
Widget Name: U of U Call Out Widget
Description: Dislpay a call out your site.
Author: Brian Thurber, James Tombs
Author URI: https://umc.utah.edu
*/

class UU_Call_Out_Widget extends SiteOrigin_Widget {
	function __construct() {

		parent::__construct(
			'uu-call-out-widget',
			__('U of U Call Out Widget', 'uu-call-out-widget-text-domain'),
			array(
				'description' => __('Dislpay two overlapping images and corresponding text.', 'uu-double-image-widget-text-domain'),
			),
			array(

			),
			//form options
			array(
				'uu_call_out_title_text' => array(
						'type' => 'text',
						'label' => __('Title text', 'uu-call-out-widget-text-domain'),
				),
				'uu_call_out_body_text' => array(
			        'type' => 'tinymce',
			        'label' => __( 'Add body text here.', 'widget-form-fields-text-domain' ),
			        'rows' => 10,
			        'default_editor' => 'html',
			        'button_filters' => array(
			            'mce_buttons' => array( $this, 'filter_mce_buttons' ),
			            'mce_buttons_2' => array( $this, 'filter_mce_buttons_2' ),
			            'mce_buttons_3' => array( $this, 'filter_mce_buttons_3' ),
			            'mce_buttons_4' => array( $this, 'filter_mce_buttons_5' ),
			            'quicktags_settings' => array( $this, 'filter_quicktags_settings' ),
			        ),
			    ),
				'uu_call_out_button_text' => array(
						'type' => 'text',
						'label' => __( 'Button Text', 'uu-call-out-widget-text-domain' ),
				),
				'uu_call_out_button_url' => array(
						'type' => 'link',
						'label' => __('Button URL', 'uu-call-out-widget-text-domain'),
						'default' => '#'
				),
				'uu_call_out_image_1' => array(
						'type' => 'media',
						'label' => __( 'Background Image', 'uu-call-out-widget-text-domain' ),
						'choose' => __( 'Choose image 1', 'uu-call-out-widget-text-domain' ),
						'update' => __( 'Set image 1', 'uu-call-out-widget-text-domain' ),
						'library' => 'image',
						'fallback' => true
				),
				'uu_call_out_color_theme' => array(
						'type' => 'select',
						'label' => __( 'Color Theme', 'uu-call-out-widget-text-domain' ),
						'default' => 'white',
						'options' => array(
								'white' => __( 'White', 'uu-call-out-widget-text-domain' ),
								'black' => __( 'Black', 'uu-call-out-widget-text-domain' ),
								'red' => __( 'Red', 'uu-call-out-widget-text-domain' )
						)
				),
				'uu_call_out_justification' => array(
						'type' => 'select',
						'label' => __( 'Text Justification', 'uu-call-out-widget-text-domain' ),
						'default' => 'center',
						'options' => array(
								'center' => __( 'Center', 'uu-call-out-widget-text-domain' ),
								'left' => __( 'Left', 'uu-call-out-widget-text-domain' ),
								'right' => __( 'Right', 'uu-call-out-widget-text-domain' )
						)
				),
				'uu_call_out_start_color' => array(
					'type' => 'color',
					'label' => __( 'Gradient Starting Color', 'uu-call-out-widget-text-domain' ),
					'default' => '#CC0000'
				),
				'uu_call_out_end_color' => array(
					'type' => 'color',
					'label' => __( 'Gradient Ending Color', 'uu-call-out-widget-text-domain' ),
					'default' => '#990000'
				),
				'uu_gradient_opacity' => array(
		        'type' => 'slider',
		        'label' => __( 'Gradient Opacity', 'uu-call-out-widget-text-domain' ),
		        'default' => 0,
		        'min' => 0,
		        'max' => 10,
		        'integer' => true
		    	),
				'uu_gradient_direction' => array(
						'type' => 'select',
						'label' => __( 'Gradient Direction', 'uu-call-out-widget-text-domain' ),
						'default' => 'top',
						'options' => array(
								'top' => __( 'Top', 'uu-call-out-widget-text-domain' ),
								'right' => __( 'Right', 'uu-call-out-widget-text-domain' ),
								'bottom' => __( 'Bottom', 'uu-call-out-widget-text-domain' ),
								'left' => __( 'Left', 'uu-call-out-widget-text-domain' ),
						)
				),
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-call-out-widget-template';
	}


	function initialize() {
		$this->register_frontend_styles(
			array(
				array(
					'uu-call-out-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-call-out-widget.css',
					array(),
					'1.0'
				),
			)
		);
	}

}

siteorigin_widget_register('uu-call-out-widget', __FILE__, 'UU_Call_Out_Widget');
