jQuery(document).ready(($) => {
	//Returns true if element is in the viewport
	var isInViewport = function (elem) {
		var distance = elem.getBoundingClientRect();
		return (
			distance.top >= 0 &&
			distance.left >= 0 &&
			distance.bottom <= (window.innerHeight - 200 || document.documentElement.clientHeight - 200) &&
			distance.right <= (window.innerWidth || document.documentElement.clientWidth)
		);
	};

	if (!uuCountUpJs) {
		return;
	}

	var uuCountUpOptions = {
		useEasing: true,
		useGrouping: true,
		separator: ",",
	};

	for (let i = 0; i < uuCountUpJs.length; i++) {
		let uuCountUp = uuCountUpJs[i];
		let uuCountHighNum = uuCountUp.uuCountHighNum;
		let uuCountLowNum = uuCountUp.uuCountLowNum;
		let uuCountReverse = uuCountUp.uuCountReverse;
		let uuCountColor = uuCountUp.uuCountColor;
		let uuCountTextSize = uuCountUp.uuCountTextSize.toString();
		let uuCountTextAlign = uuCountUp.uuCountTextAlign;
		if (uuCountReverse) {
			uuCountHighNum = uuCountUp.uuCountLowNum;
			uuCountLowNum = uuCountUp.uuCountHighNum;
		}
		let widgetId = uuCountUp.widget_id;
		let uuCountUpTarget = document.querySelector(widgetId);
		// https://github.com/inorganik/countUp.js
		// CountUp(target element, Low Number, High Number, Decimals, Duration, Options);
		// CountUp(uuCountUpTarget, uuCountLowNum, uuCountHighNum, 0, 3, uuCountUpOptions);
		let countUpInstance = new CountUp(uuCountUpTarget, uuCountLowNum, uuCountHighNum, 0, 3, uuCountUpOptions);
		uuCountUpTarget.style.color = uuCountColor;
		uuCountUpTarget.style.fontSize = uuCountTextSize + "px";
		uuCountUpTarget.style.textAlign = uuCountTextAlign;
		
		window.addEventListener(
			"scroll",
			function (event) {
				if (isInViewport(uuCountUpTarget)) {
					//console.log("In viewport!");

					if (!countUpInstance.error) {
						countUpInstance.start();
					} else {
						console.error(countUpInstance.error);
					}
				} else {
					countUpInstance.reset();
					//console.log("Nope...");
				}
			},
			false
		);

	}
});
