jQuery(document).ready($ => {
    if(!uuDonutChartJs) {
        return;
    }
    for (let i = 0; i < uuDonutChartJs.length; i++) {
     
      let uuDonutChartVars = uuDonutChartJs[i];
      let donutSeries      = [];
      let donutLabels      = [];
      let theme            = {}
      let monochromeColor  = uuDonutChartVars.donutChartMonochrome;
      let darkOrLight      = uuDonutChartVars.donutChartDarkLight;
      let pieOrDonut       = uuDonutChartVars.donutPieOrDonut;
      let displayToolbar   = (uuDonutChartVars.donutChartDisplayToolbar == 'true'); // convert string 'true' or 'false' to bool 
      let displayTooltip   = (uuDonutChartVars.donutChartDisplayTooltip == 'true'); // convert string 'true' or 'false' to bool
      let displayLabels    = (uuDonutChartVars.donutChartShowLabels == 'true'); // convert string 'true' or 'false' to bool
      if (pieOrDonut === 'pie') {
        displayLabels = false;
      }
      let donutChartHeight = uuDonutChartVars.donutChartHeight;
      let donutChartThickness = uuDonutChartVars.donutChartThickness.toString();
      let widgetId         = uuDonutChartVars.widgetId;
  
      //debugger;

      if (uuDonutChartVars.donutChartOptions == 'color_theme') {
        theme = {
          mode: 'light', 
          palette: uuDonutChartVars.donutChartColorTheme, 
          monochrome: {
              enabled: false,
          },
        }
      }else{
        theme = {
          mode: 'light', 
          palette: 'palette8', 
          monochrome: {
              enabled: true,
              color: monochromeColor,
              shadeTo: darkOrLight,
              shadeIntensity: 0.85
          }
        }
      }
  
  
      donutSeries = uuDonutChartVars.donutChartData.map(element => { //this should be an array of datasets
        return element.uuDonutChartData;
      });
  
      let intDonutSeries = donutSeries.map(function(item) {
        return parseInt(item, 10);
      });
  
      donutLabels = uuDonutChartVars.donutChartData.map(element => { //this should be an array of datasets
        return element.uuDonutChartLabels
      });
  
  
  
      var options = {
        series: intDonutSeries,
        labels: donutLabels,
        chart: {
          height: donutChartHeight,
          width: "100%",
          type: pieOrDonut,
          toolbar: {
            show: displayToolbar,
          }
        },
        tooltip: {
          enabled: displayTooltip,
        },
        plotOptions: {
          pie: {
            donut: {
              size: donutChartThickness +'%',
              labels: {
                show: displayLabels,
                name: {
                  show: displayLabels, 
                },
                value: {
                  show: displayLabels, 
                }
              }
            }
          }
        },
        theme: theme
  
      };
      
        var chart = new ApexCharts(document.querySelector('#' + widgetId), options);
  
        chart.render();

    }

});


