<?php

/*
Widget Name: U of U Goal Widget
Description: Dislpay goals your site.
Author: James Tombs
Author URI: https://umc.utah.edu
*/

class UU_Goal_Widget extends SiteOrigin_Widget {
	function __construct() {

		parent::__construct(
			'uu-goal-widget',
			__('U of U Goal Widget', 'uu-goal-widget-text-domain'),
			array(
				'description' => __('Dislpay Goals with Objectives', 'uu-goal-widget-text-domain'),
			),
			array(

			),
			//FORM OPTIONS
			array(
        // GOAL NUMBER/ID
        'uu_goal_number' => array(
          'type' => 'text',
          'label' => __('Goal Number/ID', 'uu-goal-widget-text-domain'),
          'description' => 'Choose a Number or Letter (example: 1 or A)',
        ),
        // GOAL DESCRIPTION
        'uu_goal_description' => array(
          'type' => 'tinymce',
          'label' => __( 'Goal Description', 'uu-goal-widget-text-domain' ),
          'description' => 'Description of Goal. Keep it short and sweet.',
          'rows' => 6,
          'default_editor' => 'tinymce',
          'button_filters' => array(
            'mce_buttons' => array( $this, 'filter_mce_buttons' ),
            'mce_buttons_2' => array( $this, 'filter_mce_buttons_2' ),
            'mce_buttons_3' => array( $this, 'filter_mce_buttons_3' ),
            'mce_buttons_4' => array( $this, 'filter_mce_buttons_5' ),
            'quicktags_settings' => array( $this, 'filter_quicktags_settings' ),
          ),
        ),
        // OBJECTIVES TITLE
        'uu_goal_objective_title' => array(
          'type' => 'text',
          'label' => __('Objective Title', 'uu-goal-widget-text-domain'),
          'description' => 'Title that appears above the Obejects (default is "Objectives")',
          'default' => 'Objectives',
        ),
        // OBJECTIVES REPEATER
        'uu_goal_objectives' => array(
          'type' => 'repeater',
          'label' => __('Objectives', 'uu-goal-widget-text-domain'),
          'item_name'  => __( 'Objective', 'siteorigin-widgets' ),
          'item_label' => array(
              'selector'     => "[id*='uu_goal_objective_label']",
              'update_event' => 'change',
              'value_method' => 'val'
          ),
          'fields' => array(
            'uu_goal_objective_label' => array(
              'type' => 'text',
              'label' => __('Label', 'uu-goal-widget-text-domain')
            ),
            'uu_goal_objective_label_color' => array(
              'type' => 'color',
              'label' => __( 'Label Background Color', 'uu-goal-widget-text-domain' ),
              'default' => '#CC0000'
            ),
            'uu_goal_objective_label_text_color' => array(
              'type' => 'color',
              'label' => __( 'Label Text Color', 'uu-goal-widget-text-domain' ),
              'default' => '#FFFFFF'
            ),
            'uu_goal_objective_description' => array(
              'type' => 'tinymce',
              'label' => __( 'Description', 'uu-goal-widget-text-domain' ),
              'description' => 'Description of Objective. Keep it short and sweet.',
              'rows' => 6,
              'default_editor' => 'tinymce',
              'button_filters' => array(
                'mce_buttons' => array( $this, 'filter_mce_buttons' ),
                'mce_buttons_2' => array( $this, 'filter_mce_buttons_2' ),
                'mce_buttons_3' => array( $this, 'filter_mce_buttons_3' ),
                'mce_buttons_4' => array( $this, 'filter_mce_buttons_5' ),
                'quicktags_settings' => array( $this, 'filter_quicktags_settings' ),
              ),
            ),
          )
			  ),
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-goal-widget-template';
	}


	function initialize() {
		$this->register_frontend_styles(
			array(
				array(
					'uu-goal-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-goal-widget.css',
					array(),
					'1.0'
				),
			)
		);
	}

}

siteorigin_widget_register('uu-goal-widget', __FILE__, 'UU_Goal_Widget');
