<?php
/*
Widget Name: U of U Issuu Widget
Description: Custom Issuu Modal for The University of Utah
Author: James Tombs
Author URI: digital.utah.edu
Widget URI: digital.utah.edu
*/

class UU_Issuu_Widget extends SiteOrigin_Widget {

  // CONSTRUCT FIELDS
  function __construct() {

    // CALL PARENT WITH ARGS
		parent::__construct(

      // WIDGET ID, NAME, OPTIONS, AND FIELDS
      // ID
      'uu-issuu-widget',
      // NAME
			__('U of U Issuu Widget', 'uu-issuu-widget-text-domain'),
      // WIDGET OPTIONS
			array(
				'description' => __('Issuu embed with lightbox.', 'uu-issuu-widget-text-domain'),
			),
      // CONTROL OPTIONS
			array(

			),
			//FIELDS (FORM OPTIONS)
			array(
        // TITLE
        'uu-issuu-title' => array(
          'type' => 'text',
          'label' => __('Title', 'uu-issuu-widget-text-domain')
        ),
        // THUMBNAIL
        'uu-issuu-thumb' => array(
          'type' => 'media',
          'label' => __( 'Thumbnail', 'uu-issuu-widget-text-domain' ),
          'choose' => __( 'Choose image', 'uu-issuu-widget-text-domain' ),
          'update' => __( 'Set image', 'uu-issuu-widget-text-domain' ),
          'library' => 'image',
          'fallback' => true
        ),
        // EMBED SNIPPET SRC
        'uu-issuu-snippet' => array(
          'type' => 'code',
          'label' => __( 'Embed Snippet Source URL', 'uu-issuu-widget-text-domain' ),
          'description' => __( 'Extract the url from the src=', 'uu-issuu-widget-text-domain' ),
        )

			),
      // BASE FOLDER PATH
			plugin_dir_path(__FILE__)
		);

	}

  // GET TEMPLATE NAME
  function get_template_name($instance) {
      return 'uu-issuu-widget';
  }



  // INIT SCRIPTS & STYLES
  function initialize() {
    $this->register_frontend_scripts(
      array(
        array(
          'fancybox-scripts',
        	plugin_dir_url(__FILE__) . '/js/jquery.fancybox.min.js',
        	array( 'jquery' ),
        	 time(),
        	 true
        ),
        array(
          'uu-issuu-widget-scripts',
        	plugin_dir_url(__FILE__) . '/js/uu-issuu-widget.js',
        	array( 'jquery' ),
        	 time(),
        	 true
        )
      )
    );
		$this->register_frontend_styles(
			array(
        array(
					'fancybox-styles',
					plugin_dir_url(__FILE__) . '/css/jquery.fancybox.min.css',
					array(),
					time()
				),
				array(
					'uu-issuu-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-issuu-widget.css',
					array(),
					time()
				),
			)
		);
	}
}

siteorigin_widget_register('uu-issuu-widget', __FILE__, 'UU_Issuu_Widget');
