jQuery(document).ready($ => {
    if(!uuLineChartJs) {
      return;
    }   

    for(let i = 0; i < uuLineChartJs.length; i++) {
      let uuLineChartVars = uuLineChartJs[i];
      let labels = [];
      let dataSets = [];
      let theme = {}
      let monochromeColor = uuLineChartVars.lineChartMonochrome;
      let darkOrLight = uuLineChartVars.lineChartDarkLight;
      let lineType = uuLineChartVars.lineChartLineType;
      let displayToolbar = (uuLineChartVars.lineChartDisplayToolbar == 'true'); 
      let displayTooltip = (uuLineChartVars.lineChartDisplayTooltip == 'true');
      let lineChartHeight = uuLineChartVars.lineChartHeight;
      let widgetId = uuLineChartVars.widgetId;
  
      if (uuLineChartVars.lineChartOptions == 'color_theme') {
        theme = {
          palette: uuLineChartVars.lineChartColorTheme
        }
      }else{
        theme = {
          monochrome: {
            enabled: true,
            color: monochromeColor,
            shadeTo: darkOrLight,
            shadeIntensity: 0.85
          }
        }
      }
  
  
      labels = uuLineChartVars.lineChartLabels.map((item) => {
          return item.uuLineChartLabel
      })
  
      dataSets = uuLineChartVars.lineChartDataset.map(element => { //this should be an array of datasets
          return {
              name: element.uuLineChartDatasetLabel,
              data: element.uuLineChartDatasetData.split(',').map(x=>+x), //turn a comma separtated string into an array of strings, then turn array of strings into array of integers
          }
      });
  
      var options = {
        chart: {
          height: lineChartHeight,
          width: "100%",
          type: "line",
          toolbar: {
            show: displayToolbar,
          }
        },
        series: dataSets,
        xaxis: {
          categories: labels
        },
        theme: theme,
        stroke: {
          curve: lineType,
        },
        tooltip: {
          enabled: displayTooltip,
        },
      };
      
        var chart = new ApexCharts(document.querySelector('#' + widgetId), options);
        //debugger;
        chart.render();
    }
    
});


