<?php
/*
Widget Name: U of U Logo Lazy River Widget
Description: Display logos as if they were floating along a lazy river.
Author: Brian Thurber, James Tombs
Author URI: https://umc.utah.edu
*/

class uu_llr_Widget extends SiteOrigin_Widget {


	function __construct() {

		parent::__construct(
			'uu-llr-widget',
			__('U of U Logo Lazy River Widget', 'uu-llr-widget-text-domain'),
			array(
				'description' => __('Display logos as if they were floating along a lazy river.', 'uu-llr-widget-text-domain'),
			),
			array(

			),
			//form options
			array(
				'llr_repeater' => array(
			        'type' => 'repeater',
			        'label' => __( 'Logos' , 'uu-llr-widget-text-domain' ),
			        'item_name'  => __( 'Image', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_llr_image' => array(
					        'type' => 'media',
					        'choose' => __( 'Choose image', 'uu-llr-widget-text-domain' ),
					        'update' => __( 'Set image', 'uu-llr-widget-text-domain' ),
					        'library' => 'image',
					        'fallback' => true
						),
						'uu_llr_desc' => array(
							'type' => 'text',
							'label' => __('Logo Description', 'uu-llr-widget-text-domain')
						)
			        )
				)
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-llr-widget-template';
	}

	
	function initialize() {
		$this->register_frontend_scripts(
	        array(
	            array( 'perlin-scripts', 
				    'https://cdn.rawgit.com/josephg/noisejs/master/perlin.js',
	            	array( 'jquery' ),
	            	 '1.0',
	            	 true 
	            	)
	        )
	    );
		$this->register_frontend_scripts(
	        array(
	            array( 'uu-llr-widget-scripts', 
	            	plugin_dir_url(__FILE__) . '/js/uu-llr-widget.js',
	            	array( 'jquery' ),
	            	 '1.0',
	            	 true 
	            	)
	        )
	    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-llr-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-llr-widget.css',
					array(),
					'1.0'
				),
			)
		);
	}

}

siteorigin_widget_register('uu-llr-widget', __FILE__, 'uu_llr_Widget');
