jQuery( window ).on( 'load', function() {
  // RUN SO RESET/RESIZE
  stretchFullWidthRows();
  var marqueeSpeed = jQuery('.u-of-u-marquee-container').attr("data-speed");
  var easingSpeed = jQuery('.u-of-u-marquee-container').attr("easing-speed");
  var marqueeSlides = jQuery('.u-of-u-marquee-owl-carousel').children('.item');
  //console.log(marqueeSpeed);
  // Init Marquee Owl Carousel
  if (marqueeSlides.length > 1) {
    jQuery('.u-of-u-marquee').owlCarousel({
      loop:true,
      margin:0,
      nav:false,
      dots:true,
      autoplay:true,
      autoplayTimeout:marqueeSpeed,
      autoplayHoverPause:true,
      autoplaySpeed: easingSpeed,
      stagePadding: 0,
      items: 1,
      singleItem:true,
    });
  } else {
    jQuery('.u-of-u-marquee').owlCarousel({
      loop:false,
      margin:0,
      nav:false,
      dots:false,
      autoplay:false,
      autoplayTimeout:marqueeSpeed,
      autoplayHoverPause:false,
      autoplaySpeed: easingSpeed,
      stagePadding: 0,
      items: 1,
      singleItem:true,
    });
  }

});
// on ready
jQuery(document).ready(function() {
  // get marquee and header
  var $marquee = jQuery('.u-of-u-marquee-parallax');
  var $header = jQuery('#header-container');
  // if parallax marquee exists
  if ($marquee.length) {
    // add class to header (to override position)
    $header.addClass('parallax-marquee-active');
    // on scroll override position for marquee
    var onScroll = function() {
      var scrollTop = jQuery(this).scrollTop();
      $marquee.each(function(index, elem) {
        var $elem = jQuery(elem);
        $elem.find('.item').css('top', scrollTop);
      });
    };
    onScroll.apply(window);
    jQuery(window).on('scroll', onScroll);
  }
  else {
    // remove class from header if no parallax
    $header.removeClass('parallax-marquee-active');
  }
});

// SITEORIGIN(SO) RESET/RESIZE
fullContainer = jQuery( '.site' );

// STRETCH FULLWIDTH ROWS
function stretchFullWidthRows() {
  var $panelsRow = jQuery( '.siteorigin-panels-stretch.panel-row-style' );
  $panelsRow.each( function () {
    var $$ = jQuery( this );

    var stretchType = $$.data( 'stretch-type' );
    var defaultSidePadding = stretchType === 'full-stretched-padded' ? '' : 0;

    // RESET STYLES ASSOCIATED WITH ROW STRETCHING
    $$.css( {
      'margin-left': 0,
      'margin-right': 0,
      'padding-left': defaultSidePadding,
      'padding-right': defaultSidePadding
    } );

    var leftSpace = $$.offset().left - fullContainer.offset().left,
      rightSpace = fullContainer.outerWidth() - leftSpace - $$.parent().outerWidth();

    $$.css( {
      'margin-left': - leftSpace,
      'margin-right': - rightSpace,
      'padding-left': stretchType === 'full' ? leftSpace : defaultSidePadding,
      'padding-right': stretchType === 'full' ? rightSpace : defaultSidePadding
    } );

    var cells = $$.find( '> .panel-grid-cell' );

    if ( stretchType === 'full-stretched' && cells.length === 1 ) {
      cells.css( {
        'padding-left': 0,
        'padding-right': 0
      } );
    }

    $$.css( {
      'border-left': defaultSidePadding,
      'border-right': defaultSidePadding
    } );
  } );

  if ( $panelsRow.length ) {
    jQuery( window ).trigger( 'panelsStretchRows' );
  }
}
