<?php
/*
Widget Name: U of U Photo Grid Widget
Description: Custom Photo Grid for The University of Utah
Author: James Tombs
Author URI: digital.utah.edu
Widget URI: digital.utah.edu
*/

class UU_Photo_Grid_Widget extends SiteOrigin_Widget {

  // CONSTRUCT FIELDS
  function __construct() {

    // CALL PARENT WITH ARGS
		parent::__construct(

      // WIDGET ID, NAME, OPTIONS, AND FIELDS
      // ID
      'uu-photo-grid-widget',
      // NAME
			__('U of U Photo Grid Widget', 'uu-photo-grid-widget-text-domain'),
      // WIDGET OPTIONS
			array(
				'description' => __('Dislpay photos in a grid', 'uu-photo-grid-widget-text-domain'),
			),
      // CONTROL OPTIONS
			array(

			),
			//FIELDS (FORM OPTIONS)
			array(
        'uu_photo_grid_photo_01_section' => array(
          'type' => 'section',
          'label' => __( 'Photo 01' , 'uu-photo-grid-widget-text-domain' ),
          'hide' => false,
          'fields' => array(
            'uu_photo_grid_photo_01' => array(
              'type' => 'media',
              'label' => __( 'Photo 01 image', 'uu-photo-grid-widget-text-domain' ),
              'choose' => __( 'Choose image', 'uu-photo-grid-widget-text-domain' ),
              'update' => __( 'Set image', 'uu-photo-grid-widget-text-domain' ),
              'library' => 'image',
              'fallback' => true
            ),
            'uu_photo_grid_photo_01_alignment' => array(
  						'type' => 'select',
  						'label' => __( 'Photo Alignment', 'uu-photo-grid-widget-text-domain' ),
  						'default' => 'top',
  						'options' => array(
								'top left' => __( 'Top Left', 'uu-photo-grid-widget-text-domain' ),
								'top center' => __( 'Top Center', 'uu-photo-grid-widget-text-domain' ),
								'top right' => __( 'Top Right', 'uu-photo-grid-widget-text-domain' ),
                'center center' => __( 'Center Center', 'uu-photo-grid-widget-text-domain' ),
                'bottom left' => __( 'Bottom Left', 'uu-photo-grid-widget-text-domain' ),
								'bottom center' => __( 'Bottom Center', 'uu-photo-grid-widget-text-domain' ),
								'bottom right' => __( 'Bottom Right', 'uu-photo-grid-widget-text-domain' ),
  						)
    				),
          ),
        ),
        'uu_photo_grid_photo_02_section' => array(
          'type' => 'section',
          'label' => __( 'Photo 02' , 'uu-photo-grid-widget-text-domain' ),
          'hide' => false,
          'fields' => array(
            'uu_photo_grid_photo_02' => array(
              'type' => 'media',
              'label' => __( 'Photo 02 image', 'uu-photo-grid-widget-text-domain' ),
              'choose' => __( 'Choose image', 'uu-photo-grid-widget-text-domain' ),
              'update' => __( 'Set image', 'uu-photo-grid-widget-text-domain' ),
              'library' => 'image',
              'fallback' => true
            ),
            'uu_photo_grid_photo_02_alignment' => array(
  						'type' => 'select',
  						'label' => __( 'Photo Alignment', 'uu-photo-grid-widget-text-domain' ),
  						'default' => 'top',
  						'options' => array(
								'top left' => __( 'Top Left', 'uu-photo-grid-widget-text-domain' ),
								'top center' => __( 'Top Center', 'uu-photo-grid-widget-text-domain' ),
								'top right' => __( 'Top Right', 'uu-photo-grid-widget-text-domain' ),
                'center center' => __( 'Center Center', 'uu-photo-grid-widget-text-domain' ),
                'bottom left' => __( 'Bottom Left', 'uu-photo-grid-widget-text-domain' ),
								'bottom center' => __( 'Bottom Center', 'uu-photo-grid-widget-text-domain' ),
								'bottom right' => __( 'Bottom Right', 'uu-photo-grid-widget-text-domain' ),
  						)
    				),
          ),
        ),
        'uu_photo_grid_photo_03_section' => array(
          'type' => 'section',
          'label' => __( 'Photo 03' , 'uu-photo-grid-widget-text-domain' ),
          'hide' => false,
          'fields' => array(
            'uu_photo_grid_photo_03' => array(
              'type' => 'media',
              'label' => __( 'Photo 03 image', 'uu-photo-grid-widget-text-domain' ),
              'choose' => __( 'Choose image', 'uu-photo-grid-widget-text-domain' ),
              'update' => __( 'Set image', 'uu-photo-grid-widget-text-domain' ),
              'library' => 'image',
              'fallback' => true
            ),
            'uu_photo_grid_photo_03_alignment' => array(
  						'type' => 'select',
  						'label' => __( 'Photo Alignment', 'uu-photo-grid-widget-text-domain' ),
  						'default' => 'top',
  						'options' => array(
								'top left' => __( 'Top Left', 'uu-photo-grid-widget-text-domain' ),
								'top center' => __( 'Top Center', 'uu-photo-grid-widget-text-domain' ),
								'top right' => __( 'Top Right', 'uu-photo-grid-widget-text-domain' ),
                'center center' => __( 'Center Center', 'uu-photo-grid-widget-text-domain' ),
                'bottom left' => __( 'Bottom Left', 'uu-photo-grid-widget-text-domain' ),
								'bottom center' => __( 'Bottom Center', 'uu-photo-grid-widget-text-domain' ),
								'bottom right' => __( 'Bottom Right', 'uu-photo-grid-widget-text-domain' ),
  						)
    				),
          ),
        ),
        'uu_photo_grid_photo_04_section' => array(
          'type' => 'section',
          'label' => __( 'Photo 04' , 'uu-photo-grid-widget-text-domain' ),
          'hide' => false,
          'fields' => array(
            'uu_photo_grid_photo_04' => array(
              'type' => 'media',
              'label' => __( 'Photo 04 image', 'uu-photo-grid-widget-text-domain' ),
              'choose' => __( 'Choose image', 'uu-photo-grid-widget-text-domain' ),
              'update' => __( 'Set image', 'uu-photo-grid-widget-text-domain' ),
              'library' => 'image',
              'fallback' => true
            ),
            'uu_photo_grid_photo_04_alignment' => array(
  						'type' => 'select',
  						'label' => __( 'Photo Alignment', 'uu-photo-grid-widget-text-domain' ),
  						'default' => 'top',
  						'options' => array(
								'top left' => __( 'Top Left', 'uu-photo-grid-widget-text-domain' ),
								'top center' => __( 'Top Center', 'uu-photo-grid-widget-text-domain' ),
								'top right' => __( 'Top Right', 'uu-photo-grid-widget-text-domain' ),
                'center center' => __( 'Center Center', 'uu-photo-grid-widget-text-domain' ),
                'bottom left' => __( 'Bottom Left', 'uu-photo-grid-widget-text-domain' ),
								'bottom center' => __( 'Bottom Center', 'uu-photo-grid-widget-text-domain' ),
								'bottom right' => __( 'Bottom Right', 'uu-photo-grid-widget-text-domain' ),
  						)
    				),
          ),
        ),
        'uu_photo_grid_photo_05_section' => array(
          'type' => 'section',
          'label' => __( 'Photo 05' , 'uu-photo-grid-widget-text-domain' ),
          'hide' => false,
          'fields' => array(
            'uu_photo_grid_photo_05' => array(
              'type' => 'media',
              'label' => __( 'Photo 05 image', 'uu-photo-grid-widget-text-domain' ),
              'choose' => __( 'Choose image', 'uu-photo-grid-widget-text-domain' ),
              'update' => __( 'Set image', 'uu-photo-grid-widget-text-domain' ),
              'library' => 'image',
              'fallback' => true
            ),
            'uu_photo_grid_photo_05_alignment' => array(
  						'type' => 'select',
  						'label' => __( 'Photo Alignment', 'uu-photo-grid-widget-text-domain' ),
  						'default' => 'top',
  						'options' => array(
								'top left' => __( 'Top Left', 'uu-photo-grid-widget-text-domain' ),
								'top center' => __( 'Top Center', 'uu-photo-grid-widget-text-domain' ),
								'top right' => __( 'Top Right', 'uu-photo-grid-widget-text-domain' ),
                'center center' => __( 'Center Center', 'uu-photo-grid-widget-text-domain' ),
                'bottom left' => __( 'Bottom Left', 'uu-photo-grid-widget-text-domain' ),
								'bottom center' => __( 'Bottom Center', 'uu-photo-grid-widget-text-domain' ),
								'bottom right' => __( 'Bottom Right', 'uu-photo-grid-widget-text-domain' ),
  						)
    				),
          ),
        ),
			),
      // BASE FOLDER PATH
			plugin_dir_path(__FILE__)
		);

	}

  // GET TEMPLATE NAME
  function get_template_name($instance) {
      return 'uu-photo-grid-widget';
  }



  // INIT SCRIPTS & STYLES
  function initialize() {
    $this->register_frontend_scripts(
      array(
          array( 'uu-photo-grid-widget-scripts',
          	plugin_dir_url(__FILE__) . '/js/uu-photo-grid-widget.js',
          	array( 'jquery' ),
          	 time(),
          	 true
          )
      )
    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-photo-grid-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-photo-grid-widget.css',
					array(),
					time()
				),
			)
		);
	}
}

siteorigin_widget_register('uu-photo-grid-widget', __FILE__, 'UU_Photo_Grid_Widget');
