<?php
  // EXTERNAL VARS
  $uu_pl_ext_endpoint = wp_kses_post($instance['uu_post_loop_endpoint']);
  $uu_pl_ext_post_type = ( !empty( wp_kses_post($instance['uu_post_loop_post_type']) ) ) ? wp_kses_post($instance['uu_post_loop_post_type']) : null;
  $uu_pl_ext_per_page = ( !empty( wp_kses_post($instance['uu_post_loop_per_page']) ) ) ? 'per_page=' . wp_kses_post($instance['uu_post_loop_per_page']) : null;
  $uu_pl_ext_categories = ( !empty( wp_kses_post($instance['uu_post_loop_categories']) ) ) ? '&categories=' . wp_kses_post($instance['uu_post_loop_categories']) : null;
  $uu_pl_ext_tags = ( !empty( wp_kses_post($instance['uu_post_loop_tags']) ) ) ? '&tags=' . wp_kses_post($instance['uu_post_loop_tags']) : null;
  $uu_pl_ext_endpoint_url = $uu_pl_ext_endpoint . 'wp-json/wp/v2/' . $uu_pl_ext_post_type . '?' . $uu_pl_ext_per_page . '&_embed' . $uu_pl_ext_categories .   $uu_pl_ext_tags;

  // CURL - FETCH EXTERNAL WP REST API
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => $uu_pl_ext_endpoint_url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_TIMEOUT => 30,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => array(
      'cache-control: no-cache'
    ),
  ));

  $response = curl_exec($curl);
  $err = curl_error($curl);
  curl_close($curl);
  $posts = json_decode($response, true);
?>
<?php if (!empty($posts)): ?>

<div class="uu-post-loop-container <?php 
  if ($uu_post_loop_layout != 'uu-post-loop-layout-2' &&  $uu_post_loop_layout != 'uu-post-loop-layout-5') { 
    echo $uu_post_loop_layout, ' owl-carousel'; 
  } else { 
    echo $uu_post_loop_layout; 
  } 
  ?>" data-layout="<?php echo $uu_post_loop_layout; ?>">

<?php foreach ($posts as $post) : ?>

  <?php

    $post_id = $post['id'];
    $post_link = $post['link'];
    $post_title = $post['title']['rendered'];
    $post_excerpt = wp_trim_words( $post['excerpt']['rendered'], 18, '...' );
    $img_url = $post['_embedded']['wp:featuredmedia'][0]['media_details']['sizes']['medium_large']['source_url'];
    $custom_url = rwmb_meta( wp_kses_post( $instance['uu_post_loop_cpt_url'] ) );
  ?>

  <div class="post-item" id="post-<?php echo $post_id; ?>">
    <a href="<?php if ( $custom_url ) { echo( $custom_url); } else { echo( $post_link ); } ?>" rel="bookmark">
      <div class="uu-post-loop-card">
        <div class="card-img" style="background-image:url('<?php echo $img_url; ?>');"></div>
        <div class="card-body">
          <h3><?php echo $post_title; ?></h3>
          <p class="uu-post-excerpt"><?php echo $post_excerpt; ?></p>
          <button type="button" class="uu-read-link uu-btn small">Read More</button>
        </div>
      </div>
    </a>
  </div>

<?php endforeach; ?>
</div>
<?php else : ?>
  <div class="uu-post-loop-container" style="text-align:center;">
    <p>U of U Post Loop Widget: <?php echo $err; ?></p>
  </div>
<?php endif; ?>
