<?php
  function get_cat_ids($cat_slug){
    $uu_pl_int_cat_id = get_category_by_slug($cat_slug);//meow
    if ($uu_pl_int_cat_id) {
      return $uu_pl_int_cat_id->term_id;
    } 
  }

  function get_tag_ids($tag_slug){
    $uu_pl_int_tag = get_term_by('slug', $tag_slug,'post_tag');
    $uu_pl_int_tag_id =  $uu_pl_int_tag->term_id;
    if ($uu_pl_int_tag_id) {
      return $uu_pl_int_tag_id;
    } 
  }


  // INTERNAL VARS
  $uu_pl_int_post_type = wp_kses_post($instance['uu_post_loop_post_type']);
  $uu_pl_int_per_page = wp_kses_post($instance['uu_post_loop_per_page']);
  $uu_pl_int_cats = wp_kses_post($instance['uu_post_loop_categories']);
  $uu_pl_int_tags = wp_kses_post($instance['uu_post_loop_tags']);
  $uu_pl_int_cats_arr = explode(", ", $uu_pl_int_cats); //create an array from string of comma separated values 
  $uu_pl_int_tags_arr = explode(", ", $uu_pl_int_tags); //create an array from string of comma separated values
  $uu_pl_int_cat_ids = array_map('get_cat_ids', $uu_pl_int_cats_arr);
  $uu_pl_int_tag_ids = array_map('get_tag_ids', $uu_pl_int_tags_arr);

  // QUERY ARGS
  $uu_pl_int_args = array(
    'post_type' => array($uu_pl_int_post_type),
    'order' => 'DESC',
    'orderby' => 'date',
    'posts_per_page' => $uu_pl_int_per_page,
    'cat' =>  $uu_pl_int_cat_ids,
    'tag__in' => $uu_pl_int_tag_ids,
    'post_status' => 'publish',
  );
  // BUILD QUERY
  $uu_post_loop_query = new WP_Query( $uu_pl_int_args );
?>

<?php if ( $uu_post_loop_query->have_posts() ) : ?>


<div class="uu-post-loop-container <?php if ($uu_post_loop_layout != 'uu-post-loop-layout-2') { echo $uu_post_loop_layout, ' owl-carousel'; } else { echo $uu_post_loop_layout; } ?>" data-layout="<?php echo $uu_post_loop_layout; ?>">

  <?php
  
    while($uu_post_loop_query->have_posts()) {

      $uu_post_loop_query->the_post();

      if ($uu_post_loop_layout == 'uu-post-loop-layout-1') {
        include 'layouts/layout1.php';
      } else if ($uu_post_loop_layout == 'uu-post-loop-layout-2') {
        include 'layouts/layout2.php';
      } else if ($uu_post_loop_layout == 'uu-post-loop-layout-3') {
        include 'layouts/layout3.php';
      } else if ($uu_post_loop_layout == 'uu-post-loop-layout-4') {
        include 'layouts/layout4.php';
      }
    }
  ?>

</div>
<?php else : ?>
  <div class="uu-post-loop-container" style="text-align:center;">
    <p>U of U Post Loop Widget: No Internal Posts Found.</p>
  </div>
<?php 
  endif; 

  // RESET POST DATA
  wp_reset_postdata(); 
?>

