<?php
/*
Widget Name: U of U Progres Bar Widget
Description: Custom Progress Bar 
Author: Brian Thurber, James Tombs
Author URI: digital.utah.edu
Widget URI: digital.utah.edu
*/


class UU_Progress_Bar_Widget extends SiteOrigin_Widget {

  // CONSTRUCT FIELDS
  function __construct() {

    $txt_domain = 'uu-progress-bar-widget-text-domain';

    // CALL PARENT WITH ARGS
		parent::__construct(

      // WIDGET ID, NAME, OPTIONS, AND FIELDS
      // ID
      'uu-progress-bar-widget',
      // NAME
			__('U of U Progress Bar Widget', $txt_domain),
      // WIDGET OPTIONS
			array(
				'description' => __('Progress Bar', $txt_domain),
			),
      // CONTROL OPTIONS
			array(

			),
			//FIELDS (FORM OPTIONS)
			array(
        'uu_progress_bar_left_val' => array(
          'type' => 'text',
          'label' => __('Left Value', $txt_domain)
        ),
        'uu_progress_bar_right_val' => array(
          'type' => 'text',
          'label' => __('Right Value', $txt_domain)
        ),
        'uu_progress_bar_color' => array(
          'type' => 'color',
          'label' => __( 'Bar Color', 'widget-form-fields-text-domain' ),
          'default' => '#bada55'
        ),
        'uu_progress_bar_display_percentage' => array(
          'type' => 'slider',
          'label' => __( 'Bar Fill Percentage. This will display the visual representation of the number', $txt_domain),
          'default' => 50,
          'min' => 1,
          'max' => 100,
          'integer' => true
        ),
			),
      // BASE FOLDER PATH
			plugin_dir_path(__FILE__)
    );
    
    add_action('wp_footer', function(){
      if($this->widgets_code) {
          $js = [];
          foreach($this->widgets_code as $instance) {
              $js[] = [
                'uuProgBarDispPercent'   => $instance['uu_progress_bar_display_percentage'],
                'uuProgBarColor'         => $instance['uu_progress_bar_color'],
                'widget_id'            => 'uu-progress-bar-' . $instance['_sow_form_id']
              ];
          }
          echo '<script>var uuProgressBarJs = '.json_encode($js).'</script>';
          }
      });

	}

  // GET TEMPLATE NAME
  function get_template_name($instance) {
      add_action('siteorigin_widgets_after_widget_uu-progress-bar-widget', function($instance){
        $this->widgets_code[$instance['_sow_form_id']] = $instance;
      },10,2);
      return 'uu-progress-bar-widget-template';
  }



  // INIT SCRIPTS & STYLES
  function initialize() {
    $this->register_frontend_scripts(
      array(
          array( 'progressbar-scripts',
          plugin_dir_url(__FILE__) . '/js/progressbar.min.js',
            array( 'jquery' ),
            '3.20.0',
            false
            )
      )
    );
    $this->register_frontend_scripts(
      array(
        array(
          'uu-progress-bar-widget-scripts',
        	plugin_dir_url(__FILE__) . '/js/uu-progress-bar-widget.js',
        	array( 'jquery' ),
        	 time(),
        	 true
        )
      )
    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-progress-bar-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-progress-bar-widget.css',
					array(),
					time()
				),
			)
		);
	}
}

siteorigin_widget_register('uu-progress-bar-widget', __FILE__, 'UU_Progress_Bar_Widget');
