<?php
/*
Widget Name: U of U Progres Circle Widget
Description: Custom Progress Circle 
Author: Brian Thurber, James Tombs
Author URI: digital.utah.edu
Widget URI: digital.utah.edu
*/


class UU_Progress_Circle_Widget extends SiteOrigin_Widget {

  // CONSTRUCT FIELDS
  function __construct() {

    $txt_domain = 'uu-progress-circle-widget-text-domain';

    // CALL PARENT WITH ARGS
		parent::__construct(

      // WIDGET ID, NAME, OPTIONS, AND FIELDS
      // ID
      'uu-progress-circle-widget',
      // NAME
			__('U of U Progress Circle Widget', $txt_domain),
      // WIDGET OPTIONS
			array(
				'description' => __('Progress Circle', $txt_domain),
			),
      // CONTROL OPTIONS
			array(

			),
			//FIELDS (FORM OPTIONS)
			array(
        'uu_progress_circle_inner_text' => array(
          'type' => 'text',
          'label' => __('Inner Text', $txt_domain)
        ),
        'uu_progress_circle_display_number' => array(
          'type' => 'number',
          'label' => __( 'Display Number', $txt_domain)
        ),
        'uu_progress_circle_display_percentage' => array(
          'type' => 'slider',
          'label' => __( 'Circle Fill Percentage. This will display the visual representation of the number', $txt_domain),
          'default' => 50,
          'min' => 1,
          'max' => 100,
          'integer' => true
        ),
        'uu_progress_circle_color' => array(
          'type' => 'color',
          'label' => __( 'Circle Color', 'widget-form-fields-text-domain' ),
          'default' => '#bada55'
        ),
        'uu_progress_circle_inner_text_color' => array(
          'type' => 'color',
          'label' => __( 'Inner Text Color', 'widget-form-fields-text-domain' ),
          'default' => '#bada55'
        ),
        'uu_progress_circle_title' => array(
          'type' => 'text',
          'label' => __('Title', $txt_domain)
        ),
        'uu_progress_circle_description' => array(
          'type' => 'textarea',
          'label' => __('Description', $txt_domain)
        ),
        
			),
      // BASE FOLDER PATH
			plugin_dir_path(__FILE__)
    );
    
    add_action('wp_footer', function(){
      if($this->widgets_code) {
          $js = [];
          foreach($this->widgets_code as $instance) {
              $js[] = [
                'uuProgCirInnerTxt'      => $instance['uu_progress_circle_inner_text'],
                'uuProgCirDispNum'       => $instance['uu_progress_circle_display_number'],
                'uuProgCirDispPercent'   => $instance['uu_progress_circle_display_percentage'],
                'uuProgCirColor'         => $instance['uu_progress_circle_color'],
                'uuProgCirInnerTxtColor' => $instance['uu_progress_circle_inner_text_color'],
                'uuProg'                 => $instance['uu_progress_circle_'],
                'widget_id'            => 'uu-progress-cir-' . $instance['_sow_form_id']
              ];
          }
          echo '<script>var uuProgressCirJs = '.json_encode($js).'</script>';
          }
      });

	}

  // GET TEMPLATE NAME
  function get_template_name($instance) {
      add_action('siteorigin_widgets_after_widget_uu-progress-circle-widget', function($instance){
        $this->widgets_code[$instance['_sow_form_id']] = $instance;
      },10,2);
      return 'uu-progress-circle-widget-template';
  }



  // INIT SCRIPTS & STYLES
  function initialize() {
    $this->register_frontend_scripts(
      array(
          array( 'progressbar-scripts',
          plugin_dir_url(__FILE__) . '/js/progressbar.min.js',
            array( 'jquery' ),
            '3.20.0',
            false
            )
      )
    );
    $this->register_frontend_scripts(
      array(
        array(
          'uu-progress-circle-widget-scripts',
        	plugin_dir_url(__FILE__) . '/js/uu-progress-circle-widget.js',
        	array( 'jquery' ),
        	 time(),
        	 true
        )
      )
    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-progress-circle-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-progress-circle-widget.css',
					array(),
					time()
				),
			)
		);
	}
}

siteorigin_widget_register('uu-progress-circle-widget', __FILE__, 'UU_Progress_Circle_Widget');
