<?php

/*
Widget Name: U of U Quick Links Tab Widget
Description: Display quick links tabs below the marquee.
Author: Brian Thurber, James Tombs
Author URI: https://umc.utah.edu
*/

class UU_Quick_Links_Tab_Widget extends SiteOrigin_Widget {


	function __construct() {

		$x = 0;

		parent::__construct(
			'uu-quick-links-tab-widget',
			__('U of U Quick Links Tab Widget', 'uu-quick-links-tab-widget-text-domain'),
			array(
				'description' => __('Display quick links tabs below the marquee.', 'uu-quick-links-tab-widget-text-domain'),
			),
			array(

			),
			//form options
			array(
				'uu_qlt_repeater' => array(
					'type' => 'repeater',
					'label' => __( 'Tabs (Limit 6 on default & 8 on fullscreen)' , 'uu-quick-links-tab-widget-text-domain' ),
					'item_name'  => __( 'Tab', 'siteorigin-widgets' ),
					'item_label' => array(
						'selector'     => "[id*='uu_qlt_title']",
						'update_event' => 'change',
						'value_method' => 'val'
					),
					'fields' => array(
						'uu_qlt_image' => array(
						'type' => 'media',
						'choose' => __( 'Add a .png or .svg file', 'uu-quick-links-tab-widget-text-domain' ),
						'update' => __( 'Set image', 'uu-quick-links-tab-widget-text-domain' ),
						'library' => 'image',
						'fallback' => true
						),
						'uu_qlt_title' => array(
								'type' => 'text',
								'label' => __('Title', 'uu-quick-links-tab-widget-text-domain'),
								'default' => '',
						),
						'uu_qlt_url' => array(
							'type' => 'link',
							'label' => __('URL', 'uu-quick-links-tab-widget-text-domain')
						),
					),
				),
				'uu_qlt_offset' => array(
					'type' => 'select',
					'label' => __( 'Offset', 'uu-quick-links-tab-widget-text-domain' ),
					'default' => 'qlt-offset-bottom',
					'options' => array(
						'qlt-offset-bottom' => __( 'Offset Bottom', 'uu-quick-links-tab-widget-text-domain' ),
						'qlt-offset-top' => __( 'Offset Top', 'uu-quick-links-tab-widget-text-domain' ),
						'qlt-offset-none' => __( 'No Offset', 'uu-quick-links-tab-widget-text-domain' )
					)
				),
				'uu_qlt_fullscreen' => array(
					'type' => 'checkbox',
					'label' => __( 'Fullscreen', 'uu-quick-links-tab-widget-text-domain'  ),
					'default' => false
				)
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-quick-links-tab-widget-template';
	}

	// function get_template_variables( $instance, $args ) {

	//     // Ensure that the repeater is available and not empty.
	//     $joined_text = "";

	//     if ( ! empty( $instance['a_repeater'] ) ) {

	//         $repeater_items = $instance['a_repeater'];

	//         foreach( $repeater_items as $index => $repeater_item ) {

	//             $text_from_repeater_item_title = $repeater_item['uu_photo_gallery_image'];

	//             //echo $text_from_repeater_item_title;

	//     		/// appending string
	//             $joined_text .= $text_from_repeater_item_title;

	//             $repeater_item_editor = $repeater_item['uu_photo_gallery_caption'];
	//         }

	//     }

	//     return array(
	//         'joined_text' => !empty( $joined_text ) ? $joined_text : 'No data was captured'
	//     );
	// }

	function initialize() {
		$this->register_frontend_scripts(
	        array(
	            array( 'uu-quick-links-tab-widget-scripts',
	            	plugin_dir_url(__FILE__) . 'js/uu-quick-links-tab-widget.js',
	            	array( 'jquery' ),
	            	 '1.0',
	            	 true
	            )
	        )
	    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-quick-links-tab-widget-styles',
					plugin_dir_url(__FILE__) . 'css/uu-quick-links-tab-widget.css',
					array(),
					'1.2'
				),
			)
		);

	}

}

siteorigin_widget_register('uu-quick-links-tab-widget', __FILE__, 'UU_Quick_Links_Tab_Widget');
