<?php

/*
Widget Name: University of Utah Timeline Widget
Description: Displays a vertical scrolling annimation timeline on your page.
Author: Brian Thurber, James Tombs
Author URI: https://umc.utah.edu
*/

class UU_timeline_widget extends SiteOrigin_Widget {
	function __construct() {

		parent::__construct(
			'uu-timeline-widget',
			__('University of Utah Timeline Widget', 'uu-timeline-widget-text-domain'),
			array(
				'description' => __('Displays a vertical scrolling annimation timeline on your page.', 'uu-timeline-widget-text-domain'),
			),
			array(

			),
			//form options
			array(
				'uu_timeline_title_color_picker' => array(
			        'type' => 'color',
			        'label' => __( 'Override Title Color', 'widget-form-fields-text-domain' ),
			        'default' => '#999'
			    ),
			    'uu_timeline_paragraph_color_picker' => array(
			        'type' => 'color',
			        'label' => __( 'Override Paragraph Color', 'widget-form-fields-text-domain' ),
			        'default' => '#333'
			    ),
			    'uu_timeline_bar_color_picker' => array(
			        'type' => 'color',
			        'label' => __( 'Override Bar Color', 'widget-form-fields-text-domain' ),
			        'default' => '#c00'
			    ),
				/* #1 */
				'uu_timeline_photo_1' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_1' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_1' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
				/* #2 */
				'uu_timeline_photo_2' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_2' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_2' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
				/* #3 */
				'uu_timeline_photo_3' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_3' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_3' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
				/* #4 */
				'uu_timeline_photo_4' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_4' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_4' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
				/* #5 */
				'uu_timeline_photo_5' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_5' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_5' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
				/* #6 */
				'uu_timeline_photo_6' => array(
					'type' => 'media',
					'label' => __( 'Choose an image', 'uu-timeline-widget-text-domain' ),
					'choose' => __( 'Choose image', 'uu-timeline-widget-text-domain' ),
					'update' => __( 'Set image', 'uu-timeline-widget-text-domain' ),
					'library' => 'image',//'image', 'audio', 'video', 'file'
					'fallback' => false
				),
				'uu_timeline_title_6' => array(
					'type' => 'text',
					'label' => __('Title', 'uu-timeline-widget-text-domain')
				),
				'uu_timeline_description_6' => array(
					'type' => 'tinymce',
					'label' => __( 'Description', 'uu-timeline-widget-text-domain' ),
					'default' => '',
					'rows' => 5
				),
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-timeline-widget-template';
	}


	function initialize() {
		$this->register_frontend_scripts(
	        array(
	            array( 'uu-timeline-widget-ext-scripts', 
	            	'https://unpkg.com/aos@2.3.1/dist/aos.js',
	            	array( 'jquery' ),
	            	 '1.0',
	            	 true 
	            	)
	        )
	    );
		$this->register_frontend_scripts(
	        array(
	            array( 'uu-timeline-widget-scripts', 
	            	plugin_dir_url(__FILE__) . '/js/uu-timeline-widget.js',
	            	array( 'jquery' ),
	            	 time(),
	            	 true 
	            	)
	        )
	    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-timeline-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-timeline-widget.css',
					array(),
					'1.0'
				),
			)
		);
		$this->register_frontend_styles(
			array(
				array(
					'uu-timeline-widget-ext-styles',
					'https://unpkg.com/aos@2.3.1/dist/aos.css',
					array(),
					'1.0'
				),
			)
		);
	}

/*	function get_style_name($instance) {
		return 'uu-timeline-widget-style';
	}*/



}

siteorigin_widget_register('uu-timeline-widget', __FILE__, 'UU_timeline_widget');
















