<?php
$feed_url = wp_kses_post($instance['uu_trumba_feed_url']) ?? ''; 
$string_position_bool = strpos($feed_url, 'trumba.com' ); //strpos returns fasle if there is no match 
if ($string_position_bool === false) {
	$full_url_feed = 'https://www.trumba.com/calendars/'. $feed_url . '.rss?xcal=1';
}else{
	$full_url_feed = $feed_url;

}

$view_all_link = wp_kses_post($instance['uu_trumba_feed_view_all_link']) ?? '';
$feed_url2 = "https://www.trumba.com/calendars/university-of-utah-featured-deadlines.rss?xcal=1";

$numitems = 5;
$counter = 0;

$event_arr = array();
$edate_arr = array();

$first_feed = parseFeed($full_url_feed, 'true', $numitems, $counter);

$history_count = count($first_feed);

if ($history_count >= $numitems) {
	$final_feed = $first_feed;
	usort($final_feed, "date_cmp");
}
else if ($history_count < $numitems){
	$final_feed = parseFeed($feed_url2, 'true', $numitems, $counter);
	usort($final_feed, "date_cmp");
}

// Now print out the content
print "<div class=\"cal-data week\"> \n";
print "<h2 class=\"text-callout-md\">Events</h2> \n";
if (!empty($view_all_link)) {
	print "<p><a href=\"" . $view_all_link . "\">View all</a></p> \n";
}else{
	print "<p><a href=\"events\">View all</a></p> \n";
}


	print "<div class=\"cal-row\"> \n";


for ($i=0; $i<count($final_feed); $i++) {

	$href = $final_feed[$i]["href"];
	$title = $final_feed[$i]["title"];
	$formatmonth = $final_feed[$i]["disp_month"];
	$formatday = $final_feed[$i]["disp_day"];
	$location = $final_feed[$i]["location"];
	$ongoing = $final_feed[$i]["ongoing"];
	$top_date = $final_feed[$i]["top_date"];
	$uid = $final_feed[$i]["uid"];
	$comp_date = $final_feed[$i]["comp_date"];
	$disp_dow = $final_feed[$i]["disp_dow"];

	if ($top_date == "") {$top_date = "&nbsp;";}

	if ($ongoing != "") {$top_date = $ongoing;}


	if ($href != '' && $title != ''){

		print "<div class=\"cal-item\"> \n";
		print "<a href=\"$href\"> \n";
		print "<div class=\"cal-header\"> \n";

		print "<h3>$formatmonth <span>$formatday</span></h3> \n";
		print "</div> \n";
		print "<div class=\"cal-body\"> \n";
		print "<p class=\"cal-loc\">$disp_dow <br/>$top_date</p> \n";
		print "<h4>$title</h4> \n";
		//print "UID is $uid  and date is $start_date";
		print "<p class=\"cal-loc\">$location</p> \n";
		//print "<p class=\"cal-dur\">$ongoing</p> \n";

		print "</div> \n";
		print "</a> \n";
		print "</div> \n";
	}

}

print "</div> \n";
print "</div> \n";


function parseFeed($my_feed, $check_for_dupes, $numitems, $counter) {

	global $counter; //because this function gets called twice, we declare these as global so they continue to be updated on the second call
	global $event_arr;
	

	$rss = simplexml_load_file($my_feed, 'SimpleXmlElement', LIBXML_NOERROR);

	// var_dump($rss);
	// echo '<hr>';


	$ns = $rss->getNamespaces(true);

	$today = new DateTime();
	$todayformat = $today->format('M d');
	$today_month = $today->format('M');
	$today_day = $today->format('d');


	if (!empty($rss->channel->item)) {

		$rss_count = count($rss->channel->item);


		foreach($rss->channel->item as $item){

			$href =  $item->link;
			$title = $item->title;
			$desc = "";
			$location = "";
			$trumba_img = "";
			$top_date = "";



			// xCal namespace variables
			$xcal = isset($ns['xCal']) ? $item->children($ns['xCal']): "";

			// if ($xcal) {
			// 	echo 'xcal:';
			// 	var_dump($xcal);
			// 	echo '<hr>';
			// }

			

			if (!empty($xcal) && isset($xcal->description)) {
				$desc = $xcal->description;
			}

			if (!empty($xcal) && isset($xcal->location)) {
				$location = $xcal->location;
			}

			if (!empty($xcal) && isset($xcal->uid)) {
				$uid = $xcal->uid;
			}



			// x-trumba namespace variables
			$trumba = isset($ns['x-trumba']) ? $item->children($ns['x-trumba']): "";



			// if ($trumba) {
			// 	echo 'trumba:';
			// 	var_dump($trumba);
			// 	echo '<hr>';
			// }
			

			if(!empty($trumba) && isset($trumba->formatteddatetime)){
				// pre-formatted date and time
				$formatdate = $trumba->formatteddatetime;
				$startdate = $trumba->localstart;
				$newdate = new DateTime($startdate);
				$newformat = $newdate->format('M d');
				$formatmonth = $newdate->format('M');
				$formatday = $newdate->format('d');
				$formatdow_long = $newdate->format('l');
				$formatdow_short = $newdate->format('D');

				$format_dow = $formatdow_long;


				// Get the pieces of the start date
				$startdate = $trumba->localstart;
				$startdate_new = new DateTime($startdate);
				$startdate_time = $startdate_new->format('g:ia');
				$start_time_hour = $startdate_new->format('g');
				$start_time_min = $startdate_new->format('i');
				$start_time_ampm = $startdate_new->format('a');
				$start_time = $startdate_time;

				$cmp_date = $startdate_new->format('m/d/Y');


				// Get the pieces of the end date
				$enddate = $trumba->localend;
				$enddate_new = new DateTime($enddate);
				$enddate_time = $enddate_new->format('g:ia');
				$enddate_short = $enddate_new->format('n/j/y');
				$end_time_hour = $enddate_new->format('g');
				$end_time_min = $enddate_new->format('i');
				$end_time_ampm = $enddate_new->format('a');
				$end_time = $enddate_time;

				// 	Default the top date to the day of the week
				//	$top_date = $formatdow_short;

				//print out a start time if it is not an all day thing
				if ($startdate_time != "12:00am") {

					// skip the zeros
					if ($start_time_min == "00"){
						$top_date .=  $start_time_hour . $start_time_ampm;
					}
					else {
						$top_date .=  $startdate_time;
					}


					// print out an end date if it is not an all day thing
					if (($enddate_time != "12:00am") && ($enddate_time != $startdate_time)) {
						// skip the zeros
						if ($end_time_min == "00"){
							$top_date .= " - " . $end_time_hour . $end_time_ampm;
						}
						else {
							$top_date .= " - " . $enddate_time;
						}
					}
				}

				//if ($top_date == "") { $top_date = "&nbsp;"}

				// if we are pulling an old event because it is ongoing, put it on today
				if ($newdate < $today) {
					$formatmonth = $today->format('M');
					$formatday = $today->format('d');
					$format_dow = $today->format('l');

					$cmp_date = $today->format('m/d/Y');

				}

				$ongoing = "";

				if (substr($formatdate, 0, 7) == "Ongoing") {
					$ongoing = "Ongoing through $enddate_short";
				}

				// Need to go through the x-trumba:customfield nodes to find the image
				foreach($trumba->customfield as $cf1) {
					foreach($cf1->attributes() as $a => $b) {
						if (($a == 'name') && ($b == 'Event image')) {
							//Set the image.
							$trumba_img = $cf1;

							// Set image title to be title
							$image_title = $title;
						}
					}

				}


				$add_item = false;


				//@todo this will never run because $event_arr never gets set before this point
				if ($check_for_dupes == 'true') {

					$add_item = true;
					// check for dupes
					for ($j=0; $j<count($event_arr); $j++) {
						if (trim($event_arr[$j]["uid"]) == trim($uid)){
							$add_item = false;
							break;
						}
					}
				}
				else {
					$add_item = true;
				}


				if ($add_item){
					$event_arr[$counter]["href"] = $href;
					$event_arr[$counter]["title"] = $title;
					$event_arr[$counter]["disp_month"] = $formatmonth;
					$event_arr[$counter]["disp_day"] = $formatday;
					$event_arr[$counter]["location"] = $location;
					$event_arr[$counter]["ongoing"] = $ongoing;
					$event_arr[$counter]["top_date"] = $top_date;
					$event_arr[$counter]["uid"] = $uid;
					$event_arr[$counter]["comp_date"] = $cmp_date;
					$event_arr[$counter]["disp_dow"] = $format_dow;


					$counter = $counter + 1;

					// var_dump($counter);
					// echo '<hr>';
			
					// var_dump($event_arr);
					// echo '<hr>';

				}
				
				if ( $counter >= $numitems || $counter >= $rss_count) {
						return $event_arr;
				}
				

			}//end if(!empty($trumba)

		}//end foreach($rss->channel->item as $item)

	}//end if (!empty($rss->channel->item))

	else{
		return array();
	}
	
}//end parse_feed()


function date_cmp($a, $b) {
	return strtotime($a["comp_date"]) > strtotime($b["comp_date"]);
}
?>
