<?php

$fieldset_array = [];
for ($i=1; $i <= 8; $i++) {

  $title = 'uu_wellness_wheel_title_'. $i;
  $desc = 'uu_wellness_wheel_description_'. $i;
  $repeater = 'uu_wellness_wheel_repeater_'. $i;
  $fieldset_array["{$i}"]["title"] = wp_kses_post($instance[$title]);
  $fieldset_array["{$i}"]["desc"] = wp_kses_post($instance[$desc]);
  $button_items = $instance[$repeater];
  if (!empty($button_items)) {
    foreach ($button_items as $key => $item) {
      $link_text = 'uu_wellness_wheel_link_text_'.$i;
      $button_url = 'uu_wellness_wheel_button_url_'.$i;
      $button_number = 'button_'.$key;
      $fieldset_array["{$i}"]["buttons"][$button_number]["button_title"] = $item[$link_text];
      $fieldset_array["{$i}"]["buttons"][$button_number]["button_url"] = $item[$button_url];
    }
  }
}


//var_dump($fieldset_array);

?>

<!-- container -->
<div class="wellness-wheel-container">

  <div class="wellness-wheel-col">
    <!-- wellness wheel -->
    <div class="wellness-wheel">
      <svg id="wheel" data-name="wheel" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 294.62 294.62">
        <path class="slice slice1 active" data-name="<?php echo $fieldset_array['1']['title']; ?>" data-target="slice1-content" d="M150,104.52a45.29,45.29,0,0,1,14.09,2.24l37.48-94.32C165.82-1.06,129.82-.54,94.47,14l40.19,93.19A45.37,45.37,0,0,1,150,104.52Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice2" data-name="<?php echo $fieldset_array['2']['title']; ?>" data-target="slice2-content" d="M190.53,129.39l93.2-40.19C268,54.37,242.17,29.28,206.91,14.56l-37.48,94.33A45.8,45.8,0,0,1,190.53,129.39Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice3" data-name="<?php echo $fieldset_array['3']['title']; ?>" data-target="slice3-content" d="M286,94.47l-93.19,40.19a45.5,45.5,0,0,1,.42,29.43l94.32,37.48C301.06,165.82,300.54,129.82,286,94.47Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice4" data-name="<?php echo $fieldset_array['4']['title']; ?>" data-target="slice4-content" d="M170.61,190.53l40.19,93.2c34.83-15.73,59.92-41.56,74.64-76.82l-94.32-37.48A45.87,45.87,0,0,1,170.61,190.53Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice5" data-name="<?php echo $fieldset_array['5']['title']; ?>" data-target="slice5-content" d="M150,195.48a45.29,45.29,0,0,1-14.09-2.24L98.43,287.56c35.75,13.5,71.75,13,107.1-1.55l-40.19-93.19A45.37,45.37,0,0,1,150,195.48Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice6" data-name="<?php echo $fieldset_array['6']['title']; ?>" data-target="slice6-content" d="M109.47,170.61,16.27,210.8C32,245.63,57.83,270.72,93.09,285.44l37.48-94.33A45.8,45.8,0,0,1,109.47,170.61Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice7" data-name="<?php echo $fieldset_array['7']['title']; ?>" data-target="slice7-content" d="M104.52,150a45.29,45.29,0,0,1,2.24-14.09L12.44,98.43c-13.5,35.75-13,71.75,1.55,107.1l93.19-40.19A45.37,45.37,0,0,1,104.52,150Z" transform="translate(-2.69 -2.69)"></path>
        <path class="slice slice8" data-name="<?php echo $fieldset_array['8']['title']; ?>" data-target="slice8-content" d="M129.39,109.47,89.2,16.27C54.37,32,29.28,57.83,14.56,93.09l94.33,37.48A45.8,45.8,0,0,1,129.39,109.47Z" transform="translate(-2.69 -2.69)"></path>
        <path class="center-circle" d="M189.74,150A39.74,39.74,0,1,0,150,189.74,39.79,39.79,0,0,0,189.74,150Z" transform="translate(-2.69 -2.69)"></path>

        <g>
          <path class="slice-text" d="M114.7,47.7v-6.4h1.7v6.4H114.7z"></path>
          <path class="slice-text" d="M123.9,47.7h-2.3l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9
            h1.5V47.7z"></path>
          <path class="slice-text" d="M128.1,47.7h-1.7v-5h-1.6v-1.4h4.9v1.4h-1.6V47.7z"></path>
          <path class="slice-text" d="M134.4,47.7h-3.8v-6.4h3.8v1.4h-2.1v1h1.9v1.4h-1.9v1.2h2.1V47.7z"></path>
          <path class="slice-text" d="M135.6,47.7v-6.4h1.7v5h2.5v1.4H135.6z"></path>
          <path class="slice-text" d="M140.8,47.7v-6.4h1.7v5h2.5v1.4H140.8z"></path>
          <path class="slice-text" d="M149.9,47.7H146v-6.4h3.8v1.4h-2.1v1h1.9v1.4h-1.9v1.2h2.1V47.7z"></path>
          <path class="slice-text" d="M153.8,42.6c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3
            C154.4,42.7,154.1,42.6,153.8,42.6z"></path>
          <path class="slice-text" d="M159.7,47.7h-1.7v-5h-1.6v-1.4h4.9v1.4h-1.6V47.7z"></path>
          <path class="slice-text" d="M167.6,41.3v3.9c0,0.8-0.2,1.5-0.7,2c-0.5,0.5-1.2,0.7-2.1,0.7c-0.9,0-1.5-0.2-2-0.7c-0.5-0.4-0.7-1.1-0.7-1.9
            v-3.9h1.7v3.8c0,0.5,0.1,0.8,0.3,1s0.4,0.3,0.8,0.3c0.4,0,0.6-0.1,0.8-0.3c0.2-0.2,0.2-0.5,0.2-1v-3.8H167.6z"></path>
          <path class="slice-text" d="M172.9,47.7l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H172.9z M172.2,45.1l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H172.2z"></path>
          <path class="slice-text" d="M175.5,47.7v-6.4h1.7v5h2.5v1.4H175.5z"></path>
        </g>
        <g>
          <path class="center-text" d="M133.4,142.4l1.5-3.2h2.5l-2.9,5.3v3.4h-2.4v-3.3l-2.9-5.4h2.6L133.4,142.4z"></path>
          <path class="center-text" d="M146.5,143.5c0,1.5-0.4,2.6-1.1,3.3c-0.7,0.8-1.8,1.1-3.2,1.1c-1.4,0-2.4-0.4-3.1-1.1
            c-0.7-0.8-1.1-1.9-1.1-3.3c0-1.4,0.4-2.6,1.1-3.3c0.7-0.8,1.8-1.1,3.2-1.1c1.4,0,2.4,0.4,3.1,1.1S146.5,142.1,146.5,143.5z
             M140.6,143.5c0,1.7,0.6,2.5,1.8,2.5c0.6,0,1-0.2,1.3-0.6c0.3-0.4,0.4-1,0.4-1.9c0-0.9-0.1-1.5-0.4-1.9c-0.3-0.4-0.7-0.6-1.3-0.6
            C141.1,141,140.6,141.8,140.6,143.5z"></path>
          <path class="center-text" d="M155.5,139.2v5.2c0,1.1-0.3,2-1,2.6c-0.6,0.6-1.6,0.9-2.8,0.9c-1.2,0-2.1-0.3-2.7-0.9c-0.6-0.6-1-1.5-1-2.6
            v-5.3h2.4v5.1c0,0.6,0.1,1.1,0.3,1.3c0.2,0.3,0.6,0.4,1,0.4c0.5,0,0.8-0.1,1-0.4c0.2-0.3,0.3-0.7,0.3-1.4v-5.1H155.5z"></path>
          <path class="center-text" d="M159.7,144.7v3.2h-2.3v-8.7h2.8c2.4,0,3.5,0.9,3.5,2.6c0,1-0.5,1.8-1.5,2.3l2.5,3.8h-2.7l-1.8-3.2H159.7z
             M159.7,143h0.4c0.8,0,1.2-0.4,1.2-1.1c0-0.6-0.4-0.9-1.2-0.9h-0.5V143z"></path>
          <path class="center-text" d="M125.1,159h-2.8l-0.8-3.8c0-0.2-0.1-0.5-0.2-0.9c-0.1-0.5-0.1-0.9-0.2-1.2c0,0.3-0.1,0.6-0.2,1
            s-0.1,0.7-0.2,1.1c-0.1,0.3-0.4,1.6-0.9,3.9h-2.8l-2.2-8.7h2.3l0.9,4.4c0.2,1,0.4,1.7,0.4,2.3c0.1-0.4,0.1-1,0.3-1.6
            c0.1-0.7,0.3-1.3,0.4-1.7l0.8-3.3h2.2l0.7,3.3c0.1,0.5,0.3,1.1,0.4,1.8c0.1,0.7,0.2,1.2,0.3,1.5c0.1-0.4,0.2-1.2,0.4-2.3l1-4.4h2.3
            L125.1,159z"></path>
          <path class="center-text" d="M133.5,159h-5.2v-8.7h5.2v1.9h-2.8v1.4h2.6v1.9h-2.6v1.6h2.8V159z"></path>
          <path class="center-text" d="M135.1,159v-8.7h2.4v6.8h3.3v1.9H135.1z"></path>
          <path class="center-text" d="M142.2,159v-8.7h2.4v6.8h3.3v1.9H142.2z"></path>
          <path class="center-text" d="M157.5,159h-3.1l-3.2-6.1h-0.1c0.1,1,0.1,1.7,0.1,2.2v3.9h-2.1v-8.7h3.1l3.2,6h0c-0.1-0.9-0.1-1.6-0.1-2.1
            v-3.9h2.1V159z"></path>
          <path class="center-text" d="M164.6,159h-5.2v-8.7h5.2v1.9h-2.8v1.4h2.6v1.9h-2.6v1.6h2.8V159z"></path>
          <path class="center-text" d="M171.8,156.3c0,0.5-0.1,1-0.4,1.4c-0.3,0.4-0.7,0.7-1.2,1c-0.5,0.2-1.1,0.3-1.8,0.3c-0.6,0-1.1,0-1.5-0.1
            s-0.8-0.2-1.2-0.4v-2.1c0.4,0.2,0.9,0.4,1.4,0.5c0.5,0.1,0.9,0.2,1.3,0.2c0.3,0,0.6-0.1,0.8-0.2c0.2-0.1,0.2-0.3,0.2-0.5
            c0-0.1,0-0.2-0.1-0.3c-0.1-0.1-0.2-0.2-0.3-0.3c-0.1-0.1-0.5-0.3-1.2-0.6c-0.6-0.3-1-0.5-1.3-0.7c-0.3-0.2-0.5-0.5-0.6-0.8
            c-0.1-0.3-0.2-0.7-0.2-1.1c0-0.8,0.3-1.4,0.9-1.9s1.4-0.7,2.4-0.7c0.9,0,1.8,0.2,2.8,0.6l-0.7,1.8c-0.8-0.4-1.5-0.6-2.1-0.6
            c-0.3,0-0.5,0.1-0.7,0.2c-0.1,0.1-0.2,0.2-0.2,0.4c0,0.2,0.1,0.3,0.3,0.5c0.2,0.1,0.7,0.4,1.4,0.7c0.7,0.3,1.3,0.7,1.6,1.1
            C171.6,155.3,171.8,155.8,171.8,156.3z"></path>
          <path class="center-text" d="M178.8,156.3c0,0.5-0.1,1-0.4,1.4c-0.3,0.4-0.7,0.7-1.2,1c-0.5,0.2-1.1,0.3-1.8,0.3c-0.6,0-1.1,0-1.5-0.1
            s-0.8-0.2-1.2-0.4v-2.1c0.4,0.2,0.9,0.4,1.4,0.5c0.5,0.1,0.9,0.2,1.3,0.2c0.3,0,0.6-0.1,0.8-0.2c0.2-0.1,0.2-0.3,0.2-0.5
            c0-0.1,0-0.2-0.1-0.3c-0.1-0.1-0.2-0.2-0.3-0.3c-0.1-0.1-0.5-0.3-1.2-0.6c-0.6-0.3-1-0.5-1.3-0.7c-0.3-0.2-0.5-0.5-0.6-0.8
            c-0.1-0.3-0.2-0.7-0.2-1.1c0-0.8,0.3-1.4,0.9-1.9s1.4-0.7,2.4-0.7c0.9,0,1.8,0.2,2.8,0.6l-0.7,1.8c-0.8-0.4-1.5-0.6-2.1-0.6
            c-0.3,0-0.5,0.1-0.7,0.2c-0.1,0.1-0.2,0.2-0.2,0.4c0,0.2,0.1,0.3,0.3,0.5c0.2,0.1,0.7,0.4,1.4,0.7c0.7,0.3,1.3,0.7,1.6,1.1
            C178.7,155.3,178.8,155.8,178.8,156.3z"></path>
        </g>
        <g>
          <path class="slice-text" d="M206.3,83.1c0,0.4-0.1,0.8-0.3,1.1c-0.2,0.3-0.5,0.5-0.9,0.7c-0.4,0.2-0.8,0.3-1.3,0.3c-0.4,0-0.8,0-1.1-0.1
            c-0.3-0.1-0.6-0.2-0.9-0.3v-1.5c0.3,0.2,0.7,0.3,1,0.4c0.4,0.1,0.7,0.1,1,0.1c0.3,0,0.4,0,0.6-0.1c0.1-0.1,0.2-0.2,0.2-0.3
            c0-0.1,0-0.2-0.1-0.2c0-0.1-0.1-0.1-0.2-0.2c-0.1-0.1-0.4-0.2-0.9-0.4c-0.4-0.2-0.7-0.4-0.9-0.6c-0.2-0.2-0.4-0.4-0.5-0.6
            c-0.1-0.2-0.2-0.5-0.2-0.8c0-0.6,0.2-1.1,0.6-1.4c0.4-0.3,1-0.5,1.8-0.5c0.7,0,1.3,0.2,2,0.5l-0.5,1.3c-0.6-0.3-1.1-0.4-1.6-0.4
            c-0.2,0-0.4,0-0.5,0.1c-0.1,0.1-0.2,0.2-0.2,0.3c0,0.1,0.1,0.2,0.2,0.3c0.1,0.1,0.5,0.3,1.1,0.5c0.6,0.2,0.9,0.5,1.2,0.8
            C206.2,82.3,206.3,82.7,206.3,83.1z"></path>
          <path class="slice-text" d="M212,80.7c0,0.7-0.2,1.3-0.6,1.7c-0.4,0.4-1,0.6-1.8,0.6h-0.5V85h-1.7v-6.4h2.2c0.8,0,1.4,0.2,1.8,0.5
            S212,80,212,80.7z M209.1,81.5h0.3c0.3,0,0.5-0.1,0.6-0.2c0.2-0.1,0.2-0.3,0.2-0.6c0-0.4-0.2-0.7-0.7-0.7h-0.4V81.5z"></path>
          <path class="slice-text" d="M213,85v-6.4h1.7V85H213z"></path>
          <path class="slice-text" d="M217.9,82.7V85h-1.7v-6.4h2.1c1.7,0,2.6,0.6,2.6,1.9c0,0.7-0.4,1.3-1.1,1.7l1.9,2.8h-2l-1.4-2.3H217.9z
             M217.9,81.4h0.3c0.6,0,0.9-0.3,0.9-0.8c0-0.4-0.3-0.7-0.9-0.7h-0.3V81.4z"></path>
          <path class="slice-text" d="M222.2,85v-6.4h1.7V85H222.2z"></path>
          <path class="slice-text" d="M228.2,85h-1.7v-5h-1.6v-1.4h4.9V80h-1.6V85z"></path>
          <path class="slice-text" d="M236.2,78.6v3.9c0,0.8-0.2,1.5-0.7,2c-0.5,0.5-1.2,0.7-2.1,0.7c-0.9,0-1.5-0.2-2-0.7c-0.5-0.4-0.7-1.1-0.7-1.9
            v-3.9h1.7v3.8c0,0.5,0.1,0.8,0.3,1s0.4,0.3,0.8,0.3c0.4,0,0.6-0.1,0.8-0.3c0.2-0.2,0.2-0.5,0.2-1v-3.8H236.2z"></path>
          <path class="slice-text" d="M241.5,85l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H241.5z M240.8,82.4l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H240.8z"></path>
          <path class="slice-text" d="M244,85v-6.4h1.7v5h2.5V85H244z"></path>
        </g>
        <g>
          <path class="slice-text" d="M208.8,152.5H205v-6.4h3.8v1.4h-2.1v1h1.9v1.4h-1.9v1.2h2.1V152.5z"></path>
          <path class="slice-text" d="M216.1,152.5h-2.3l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9H210v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9
            h1.5V152.5z"></path>
          <path class="slice-text" d="M221.1,146.1h1.9l-2.1,6.4h-2l-2.1-6.4h2l0.9,3.3c0.2,0.7,0.3,1.2,0.3,1.5c0-0.2,0.1-0.5,0.1-0.8
            c0.1-0.3,0.1-0.5,0.2-0.7L221.1,146.1z"></path>
          <path class="slice-text" d="M223.7,152.5v-6.4h1.7v6.4H223.7z"></path>
          <path class="slice-text" d="M228.6,150.2v2.3h-1.7v-6.4h2.1c1.7,0,2.6,0.6,2.6,1.9c0,0.7-0.4,1.3-1.1,1.7l1.9,2.8h-2l-1.4-2.3H228.6z
             M228.6,148.9h0.3c0.6,0,0.9-0.3,0.9-0.8c0-0.4-0.3-0.7-0.9-0.7h-0.3V148.9z"></path>
          <path class="slice-text" d="M239,149.3c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.4c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S239,148.2,239,149.3z M234.5,149.3c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C235,147.4,234.5,148.1,234.5,149.3z"></path>
          <path class="slice-text" d="M246.2,152.5H244l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9
            h1.5V152.5z"></path>
          <path class="slice-text" d="M250.4,152.5l-1.3-4.6h0c0.1,0.8,0.1,1.4,0.1,1.8v2.8h-1.5v-6.4h2.3l1.3,4.6h0l1.3-4.6h2.3v6.4h-1.6v-2.8
            c0-0.1,0-0.3,0-0.5c0-0.2,0-0.6,0.1-1.3h0l-1.3,4.6H250.4z"></path>
          <path class="slice-text" d="M260.1,152.5h-3.8v-6.4h3.8v1.4h-2.1v1h1.9v1.4h-1.9v1.2h2.1V152.5z"></path>
          <path class="slice-text" d="M267.4,152.5h-2.3l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6
            v-2.9h1.5V152.5z"></path>
          <path class="slice-text" d="M271.6,152.5h-1.7v-5h-1.6v-1.4h4.9v1.4h-1.6V152.5z"></path>
          <path class="slice-text" d="M278,152.5l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H278z M277.4,149.9l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H277.4z"></path>
          <path class="slice-text" d="M280.6,152.5v-6.4h1.7v5h2.5v1.4H280.6z"></path>
        </g>
        <g>
          <path class="slice-text" d="M209.1,217.4c0,0.7-0.2,1.3-0.6,1.7c-0.4,0.4-1,0.6-1.8,0.6h-0.5v2.1h-1.7v-6.4h2.2c0.8,0,1.4,0.2,1.8,0.5
            S209.1,216.7,209.1,217.4z M206.2,218.2h0.3c0.3,0,0.5-0.1,0.6-0.2c0.2-0.1,0.2-0.3,0.2-0.6c0-0.4-0.2-0.7-0.7-0.7h-0.4V218.2z"></path>
          <path class="slice-text" d="M215.6,221.7h-1.7v-2.6h-2v2.6h-1.7v-6.4h1.7v2.4h2v-2.4h1.7V221.7z"></path>
          <path class="slice-text" d="M219.3,217.7l1.1-2.4h1.9l-2.1,3.9v2.5h-1.8v-2.5l-2.1-4h1.9L219.3,217.7z"></path>
          <path class="slice-text" d="M227.2,219.8c0,0.4-0.1,0.8-0.3,1.1c-0.2,0.3-0.5,0.5-0.9,0.7c-0.4,0.2-0.8,0.3-1.3,0.3c-0.4,0-0.8,0-1.1-0.1
            s-0.6-0.2-0.9-0.3v-1.5c0.3,0.2,0.7,0.3,1,0.4c0.4,0.1,0.7,0.1,1,0.1c0.3,0,0.4,0,0.6-0.1c0.1-0.1,0.2-0.2,0.2-0.3
            c0-0.1,0-0.2-0.1-0.2c0-0.1-0.1-0.1-0.2-0.2c-0.1-0.1-0.4-0.2-0.9-0.4c-0.4-0.2-0.7-0.4-0.9-0.6c-0.2-0.2-0.4-0.4-0.5-0.6
            c-0.1-0.2-0.2-0.5-0.2-0.8c0-0.6,0.2-1.1,0.6-1.4c0.4-0.3,1-0.5,1.8-0.5c0.7,0,1.3,0.2,2,0.5l-0.5,1.3c-0.6-0.3-1.1-0.4-1.6-0.4
            c-0.2,0-0.4,0-0.5,0.1c-0.1,0.1-0.2,0.2-0.2,0.3c0,0.1,0.1,0.2,0.2,0.3c0.1,0.1,0.5,0.3,1.1,0.5c0.6,0.2,0.9,0.5,1.2,0.8
            C227.1,219,227.2,219.3,227.2,219.8z"></path>
          <path class="slice-text" d="M228.2,221.7v-6.4h1.7v6.4H228.2z"></path>
          <path class="slice-text" d="M234.2,216.6c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3
            C234.7,216.7,234.5,216.6,234.2,216.6z"></path>
          <path class="slice-text" d="M241.1,221.7l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H241.1z M240.4,219.1l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H240.4z"></path>
          <path class="slice-text" d="M243.7,221.7v-6.4h1.7v5h2.5v1.4H243.7z"></path>
        </g>
        <g>
          <path class="slice-text" d="M125.6,247.2h-3.8v-6.4h3.8v1.4h-2.1v1h1.9v1.4h-1.9v1.2h2.1V247.2z"></path>
          <path class="slice-text" d="M129.6,247.2l-1.3-4.6h0c0.1,0.8,0.1,1.4,0.1,1.8v2.8h-1.5v-6.4h2.3l1.3,4.6h0l1.3-4.6h2.3v6.4h-1.6v-2.8
            c0-0.1,0-0.3,0-0.5c0-0.2,0-0.6,0.1-1.3h0l-1.3,4.6H129.6z"></path>
          <path class="slice-text" d="M141.5,244c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.5c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S141.5,242.9,141.5,244z M137,244c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C137.5,242.1,137,242.8,137,244z"></path>
          <path class="slice-text" d="M145.5,247.2h-1.7v-5h-1.6v-1.4h4.9v1.4h-1.6V247.2z"></path>
          <path class="slice-text" d="M147.9,247.2v-6.4h1.7v6.4H147.9z"></path>
          <path class="slice-text" d="M157.1,244c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.5c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S157.1,242.9,157.1,244z M152.7,244c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C153.1,242.1,152.7,242.8,152.7,244z"></path>
          <path class="slice-text" d="M164.4,247.2h-2.3l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6
            v-2.9h1.5V247.2z"></path>
          <path class="slice-text" d="M169.7,247.2l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H169.7z M169,244.6l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H169z"></path>
          <path class="slice-text" d="M172.3,247.2v-6.4h1.7v5h2.5v1.4H172.3z"></path>
        </g>
        <g>
          <path class="slice-text" d="M66.3,219.8c0,0.4-0.1,0.8-0.3,1.1c-0.2,0.3-0.5,0.5-0.9,0.7c-0.4,0.2-0.8,0.3-1.3,0.3c-0.4,0-0.8,0-1.1-0.1
            s-0.6-0.2-0.9-0.3v-1.5c0.3,0.2,0.7,0.3,1,0.4c0.4,0.1,0.7,0.1,1,0.1c0.3,0,0.4,0,0.6-0.1c0.1-0.1,0.2-0.2,0.2-0.3
            c0-0.1,0-0.2-0.1-0.2c0-0.1-0.1-0.1-0.2-0.2c-0.1-0.1-0.4-0.2-0.9-0.4c-0.4-0.2-0.7-0.4-0.9-0.6c-0.2-0.2-0.4-0.4-0.5-0.6
            c-0.1-0.2-0.2-0.5-0.2-0.8c0-0.6,0.2-1.1,0.6-1.4c0.4-0.3,1-0.5,1.8-0.5c0.7,0,1.3,0.2,2,0.5l-0.5,1.3c-0.6-0.3-1.1-0.4-1.6-0.4
            c-0.2,0-0.4,0-0.5,0.1c-0.1,0.1-0.2,0.2-0.2,0.3c0,0.1,0.1,0.2,0.2,0.3c0.1,0.1,0.5,0.3,1.1,0.5c0.6,0.2,0.9,0.5,1.2,0.8
            C66.2,219,66.3,219.3,66.3,219.8z"></path>
          <path class="slice-text" d="M73.3,218.5c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.5c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S73.3,217.4,73.3,218.5z M68.9,218.5c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C69.3,216.6,68.9,217.3,68.9,218.5z"></path>
          <path class="slice-text" d="M77.3,216.6c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3
            C77.9,216.7,77.6,216.6,77.3,216.6z"></path>
          <path class="slice-text" d="M80.3,221.7v-6.4h1.7v6.4H80.3z"></path>
          <path class="slice-text" d="M87.4,221.7l-0.3-1.2H85l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H87.4z M86.7,219.1l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H86.7z"></path>
          <path class="slice-text" d="M90,221.7v-6.4h1.7v5h2.5v1.4H90z"></path>
        </g>
        <g>
          <path class="slice-text" d="M29.2,152.5h-1.7v-6.4h3.8v1.4h-2.1v1.2h1.9v1.4h-1.9V152.5z"></path>
          <path class="slice-text" d="M32.3,152.5v-6.4h1.7v6.4H32.3z"></path>
          <path class="slice-text" d="M41.6,152.5h-2.3L37,148h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9
            h1.5V152.5z"></path>
          <path class="slice-text" d="M46.9,152.5l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H46.9z M46.2,149.9l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H46.2z"></path>
          <path class="slice-text" d="M55.6,152.5h-2.3L51,148h0c0.1,0.7,0.1,1.3,0.1,1.6v2.9h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9
            h1.5V152.5z"></path>
          <path class="slice-text" d="M59.9,147.4c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3
            C60.4,147.5,60.2,147.4,59.9,147.4z"></path>
          <path class="slice-text" d="M62.9,152.5v-6.4h1.7v6.4H62.9z"></path>
          <path class="slice-text" d="M69.9,152.5l-0.3-1.2h-2.1l-0.3,1.2h-1.9l2.1-6.5h2.3l2.1,6.5H69.9z M69.3,149.9l-0.3-1.1
            c-0.1-0.2-0.1-0.5-0.2-0.9c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H69.3z"></path>
          <path class="slice-text" d="M72.5,152.5v-6.4h1.7v5h2.5v1.4H72.5z"></path>
        </g>
        <g>
          <path class="slice-text" d="M40.7,81.8c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.4c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S40.7,80.7,40.7,81.8z M36.3,81.8c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C36.7,79.9,36.3,80.6,36.3,81.8z"></path>
          <path class="slice-text" d="M44.8,80c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3C45.3,80,45,80,44.8,80z"></path>
          <path class="slice-text" d="M50.6,80c-0.4,0-0.7,0.2-1,0.5c-0.2,0.3-0.3,0.8-0.3,1.4c0,1.2,0.5,1.9,1.4,1.9c0.3,0,0.6,0,0.8-0.1
            c0.3-0.1,0.5-0.2,0.8-0.3v1.5c-0.5,0.2-1.1,0.4-1.8,0.4c-1,0-1.7-0.3-2.2-0.8c-0.5-0.6-0.8-1.4-0.8-2.4c0-0.7,0.1-1.2,0.4-1.8
            c0.2-0.5,0.6-0.9,1.1-1.2c0.5-0.3,1-0.4,1.7-0.4c0.7,0,1.4,0.2,2,0.5l-0.5,1.4c-0.2-0.1-0.5-0.2-0.7-0.3C51.1,80,50.9,80,50.6,80z"></path>
          <path class="slice-text" d="M59,78.6v3.9c0,0.8-0.2,1.5-0.7,2c-0.5,0.5-1.2,0.7-2.1,0.7c-0.9,0-1.5-0.2-2-0.7c-0.5-0.4-0.7-1.1-0.7-1.9
            v-3.9h1.7v3.8c0,0.5,0.1,0.8,0.3,1s0.4,0.3,0.8,0.3c0.4,0,0.6-0.1,0.8-0.3c0.2-0.2,0.2-0.5,0.2-1v-3.8H59z"></path>
          <path class="slice-text" d="M65,80.7c0,0.7-0.2,1.3-0.6,1.7c-0.4,0.4-1,0.6-1.8,0.6h-0.5V85h-1.7v-6.4h2.2c0.8,0,1.4,0.2,1.8,0.5
            S65,80,65,80.7z M62.1,81.5h0.3c0.3,0,0.5-0.1,0.6-0.2c0.2-0.1,0.2-0.3,0.2-0.6c0-0.4-0.2-0.7-0.7-0.7h-0.4V81.5z"></path>
          <path class="slice-text" d="M70,85l-0.3-1.2h-2.1L67.3,85h-1.9l2.1-6.5h2.3l2.1,6.5H70z M69.3,82.4l-0.3-1.1c-0.1-0.2-0.1-0.5-0.2-0.9
            c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H69.3z"></path>
          <path class="slice-text" d="M75.4,85h-1.7v-5h-1.6v-1.4H77V80h-1.6V85z"></path>
          <path class="slice-text" d="M77.9,85v-6.4h1.7V85H77.9z"></path>
          <path class="slice-text" d="M87.1,81.8c0,1.1-0.3,1.9-0.8,2.5s-1.3,0.8-2.3,0.8c-1,0-1.8-0.3-2.3-0.8c-0.5-0.6-0.8-1.4-0.8-2.5
            c0-1.1,0.3-1.9,0.8-2.4c0.5-0.6,1.3-0.8,2.3-0.8c1,0,1.8,0.3,2.3,0.8S87.1,80.7,87.1,81.8z M82.6,81.8c0,1.2,0.4,1.9,1.3,1.9
            c0.4,0,0.8-0.2,1-0.5c0.2-0.3,0.3-0.8,0.3-1.4c0-0.6-0.1-1.1-0.3-1.4c-0.2-0.3-0.5-0.5-1-0.5C83.1,79.9,82.6,80.6,82.6,81.8z"></path>
          <path class="slice-text" d="M94.3,85h-2.3l-2.3-4.5h0c0.1,0.7,0.1,1.3,0.1,1.6V85h-1.5v-6.4h2.3l2.3,4.5h0c0-0.6-0.1-1.2-0.1-1.6v-2.9h1.5
            V85z"></path>
          <path class="slice-text" d="M99.7,85l-0.3-1.2h-2.1L96.9,85H95l2.1-6.5h2.3l2.1,6.5H99.7z M99,82.4l-0.3-1.1c-0.1-0.2-0.1-0.5-0.2-0.9
            c-0.1-0.4-0.2-0.6-0.2-0.8c0,0.1-0.1,0.4-0.2,0.7c-0.1,0.3-0.2,1-0.5,2H99z"></path>
          <path class="slice-text" d="M102.3,85v-6.4h1.7v5h2.5V85H102.3z"></path>
        </g>
      </svg>
    </div>
    <!-- end wellness wheel -->
  </div>
  <div class="wellness-wheel-col">

    <!-- welness tabs -->
    <div class="wellness-tabs">





      <?php
        if (!empty($fieldset_array)) {
          foreach ($fieldset_array as $key => $value) {
            if ($key === 1) {$active_flag = "active";}else{$active_flag = "";}
            echo "<div class='tab-content {$active_flag}' id='slice{$key}-content'>";
            echo "<h3>" . $value['title'] . "</h3>";
            echo "<p>" . $value['desc'] . "</p>";
            if (!empty($value['buttons'])) {
              foreach ($value['buttons'] as $button) {
                echo "<p>";
                echo "<a class='uu-btn small' href='" . $button['button_url'] . "' target='_blank' rel='noopener noreferrer'>";
                echo $button['button_title'];
                echo "</a>";
                echo "</p>";
              }
            }

            echo "</div>";
          }

        }
      ?>
      
      <!-- tab -->
      <!-- <div class="tab-content active" id="slice1-content">
        <h3>Intellectual</h3>
        <p>This dimension of wellness encourages creative and stimulating mental activities. Our minds need to be inspired and active just as our bodies do. Being open-minded whenencountering new ideas, embracing challenges, and seeking out lifelong learning opportunities cultivate our intellectual wellness. Try learning a new language,reading, doing puzzles or build a new hobby to foster this dimension. </p>
        <p>
          <a class="uu-btn small" href="https://learningcenter.utah.edu/" target="_blank" rel="noopener noreferrer">Learning Center</a>
        </p>
      </div> -->
      <!-- end tab -->




    </div>
    <!-- end welness tabs -->
  </div>

</div>
