<?php

/*
Widget Name: U of U Wellness Wheel Widget
Description: Displays a wellness wheel on your site.
Author: Brian Thurber, James Tombs
Author URI: https://umc.utah.edu
*/

class UU_Wellness_Wheel_Widget extends SiteOrigin_Widget {
	function __construct() {

		parent::__construct(
			'uu-wellness-wheel-widget',
			__('U of U Wellness Wheel Widget', 'uu-wellness-wheel-widget-text-domain'),
			array(
				'description' => __('Displays a wellness wheel on your site.', 'uu-wellness-wheel-widget-text-domain'),
			),
			array(

			),
			//form options
			array(
				// Field Set 1
				'uu_wellness_wheel_title_1' => array(
					'type' => 'text',
					'label' => __('Title 1', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_1' => array(
					'type' => 'textarea',
					'label' => __( 'Description 1', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
			    'uu_wellness_wheel_repeater_1' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 1', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_1' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_1' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 2
				'uu_wellness_wheel_title_2' => array(
					'type' => 'text',
					'label' => __('Title 2', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_2' => array(
					'type' => 'textarea',
					'label' => __( 'Description 2', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
			    'uu_wellness_wheel_repeater_2' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 2', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_2' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_2' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 3
				'uu_wellness_wheel_title_3' => array(
					'type' => 'text',
					'label' => __('Title 3', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_3' => array(
					'type' => 'textarea',
					'label' => __( 'Description 3', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
				'uu_wellness_wheel_repeater_3' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 3', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_3' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_3' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 4
				'uu_wellness_wheel_title_4' => array(
					'type' => 'text',
					'label' => __('Title 4', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_4' => array(
					'type' => 'textarea',
					'label' => __( 'Description 4', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
				'uu_wellness_wheel_repeater_4' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 4', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_4' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_4' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 5
				'uu_wellness_wheel_title_5' => array(
					'type' => 'text',
					'label' => __('Title 5', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_5' => array(
					'type' => 'textarea',
					'label' => __( 'Description 5', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
				'uu_wellness_wheel_repeater_5' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 5', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_5' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_5' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 6
				'uu_wellness_wheel_title_6' => array(
					'type' => 'text',
					'label' => __('Title 6', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_6' => array(
					'type' => 'textarea',
					'label' => __( 'Description 6', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
			    'uu_wellness_wheel_repeater_6' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 6', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_6' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_6' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 7
				'uu_wellness_wheel_title_7' => array(
					'type' => 'text',
					'label' => __('Title 7', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_7' => array(
					'type' => 'textarea',
					'label' => __( 'Description 7', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
			    'uu_wellness_wheel_repeater_7' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 7', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_7' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_7' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    ),


			    // Field Set 8
				'uu_wellness_wheel_title_8' => array(
					'type' => 'text',
					'label' => __('Title 8', 'uu-wellness-wheel-widget-text-domain')
				),
				'uu_wellness_wheel_description_8' => array(
					'type' => 'textarea',
					'label' => __( 'Description 8', 'uu-wellness-wheel-widget-text-domain' ),
					'default' => '',
					'rows' => 6
				),
			    'uu_wellness_wheel_repeater_8' => array(
			        'type' => 'repeater',
			        'item_name'  => __( 'Buttons 8', 'siteorigin-widgets' ),
			        'fields' => array(
			            'uu_wellness_wheel_link_text_8' => array(
							'type' => 'text',
							'label' => __('Button Text', 'uu-wellness-wheel-widget-text-domain')
						),
						'uu_wellness_wheel_button_url_8' => array(
					        'type' => 'link',
					        'label' => __('Button URL', 'uu-wellness-wheel-widget-text-domain')
					    ),
			        )
			    )
			),
			plugin_dir_path(__FILE__)
		);

	}


	function get_template_name($instance) {
		return 'uu-wellness-wheel-widget-template';
	}


	function initialize() {
		$this->register_frontend_scripts(
	        array(
	            array( 'uu-wellness-wheel-widget-scripts',
	            	plugin_dir_url(__FILE__) . '/js/uu-wellness-wheel-widget.js',
	            	array( 'jquery' ),
	            	 '1.0',
	            	 true
	            	)
	        )
	    );
		$this->register_frontend_styles(
			array(
				array(
					'uu-wellness-wheel-widget-styles',
					plugin_dir_url(__FILE__) . '/css/uu-wellness-wheel-widget.css',
					array(),
					'1.0'
				),
			)
		);
	}





}

siteorigin_widget_register('uu-wellness-wheel-widget', __FILE__, 'UU_Wellness_Wheel_Widget');
